Overview of SQL Server Setup Documentation

SQL Server 2008 R2 Setup Help
Overview of SQL Server Setup Documentation

Documentation for SQL Server Setup is available on the installation media and online.

Documentation Available During Setup

During the installation of SQL Server, you are provided with the immediate information that you need to complete the operation.

SQL Server Books Online

The installation media also includes SQL Server Books Online which provides more details about SQL Server Setup.

You can view documentation in SQL Server Books Online by choosing one of the following options:

  • Install SQL Server Books Online from the installation media.

  • Download SQL Server Books Online from the Download Center.

  • View the latest documentation in SQL Server Books Online.

Overview of SQL Server Installation Topics

Whether you use the SQL Server Installation Wizard or the command prompt to install SQL Server, you may want to prepare by reading the following sections:

  • Planning a SQL Server Installation.

    Describes how to prepare for a SQL Server installation.

  • Installing or Upgrading a SQL Server installation.

    Describes the installation or upgrade options for SQL Server.

  • Configuring a SQL Server Installation.

    Describes how to configure a SQL Server installation.

If you are installing a SQL Server failover cluster, review the following:

  • Getting Started with SQL server Failover Clustering.

  • Before Installing Failover Clustering.


About the SQL Server License Terms

About the SQL Server License Terms |
 | See Also
Overview of SQL Server Setup Documentation >

The Microsoft Software License Terms are copied to the local computer when SQL Server is installed. When multiple instances of the same edition and language of SQL Server are installed on the same computer, a single copy of the license terms will apply to all instances of that edition and language. The files are written to: %ProgramFiles%\Microsoft SQL Server\100\License Terms\ or %ProgramFiles(x86)%\Microsoft SQL Server\100\License Terms\.

When multiple instances of the same SQL Server edition and language are installed on the same computer, a single copy of the license terms will apply to all instances of that edition and language.

The license terms file name indicates the edition of SQL Server as well as the SQL Server language edition. For example:

  • License_DEV_ENU.txt for SQL Server Developer, English language edition.

  • License_STD_ITA.txt for SQL Server Standard, Italian language edition.

  • License_UA_JPN.txt for SQL Server Upgrade Advisor, Japanese language edition.

  • License_SQLNCLI_ENU.txt for SQL Server Native Client, English language edition.

  • License_SQLXML4_KOR.txt for SQLXML, Korean language edition.

The following file name segments are used to identify SQL Server editions:

  • DC - Datacenter

  • ENT - Enterprise

  • DEV - Developer

  • STD - Standard

  • WKGP - Workgroup

  • WEB - Web

  • EXPR - Express

  • UA - Upgrade Advisor

The following file name segments are used to identify SQL Server languages:

  • ENU - English

  • JPN - Japanese

  • FRA - French

  • ITA - Italian

  • KOR - Korean

  • DEU - German

  • ESN - Spanish

  • CHS - Simplified Chinese

  • CHT - Traditional Chinese

  • NLA - Dutch

  • PTB - Portuguese (Brazilian)

  • SVE - Swedish

  • RUS - Russian

SQL Server Licensing Options

For more information about SQL Server pricing and licensing options, see the Microsoft SQL Server 2008 R2 Web site.

See Also

Concepts

SQL Server 2008 R2 Privacy Statement
Legal Notice for Documentation

© 2010 Microsoft Corporation. All rights reserved.


SQL Server 2008 R2 Privacy Statement

SQL Server 2008 R2 Privacy Statement
Overview of SQL Server Setup Documentation >

Last updated: January 2010

At Microsoft, we're working hard to protect your privacy, while delivering products that bring you the performance, power, and convenience you desire in your personal computing. This privacy statement explains many of the data collection and use practices of Microsoft SQL Server 2008 R2 (“SQL Server”). This privacy statement focuses on features that communicate with the Internet. It does not apply to other online or offline Microsoft sites, products, or services.

Collection and Use of Your Personal Information

The information we collect from you will be used by Microsoft and its controlled subsidiaries and affiliates to enable the features you are using and provide the service(s) or carry out the transaction(s) you have requested or authorized. It may also be used to analyze and improve Microsoft products and services.

Except as described in this statement, personal information you provide will not be transferred to third parties without your consent. We occasionally hire other companies to provide limited services on our behalf, such as packaging, sending and delivering purchases and other mailings, answering customer questions about products or services, processing event registration, or performing statistical analysis of our services. We will only provide those companies the personal information they need to deliver the service, and they are prohibited from using that information for any other purpose.

Microsoft may access or disclose information about you, including the content of your communications, in order to: (a) comply with the law or respond to lawful requests or legal process; (b) protect the rights or property of Microsoft or our customers, including the enforcement of our agreements or policies governing your use of the services; or (c) act on a good faith belief that such access or disclosure is necessary to protect the personal safety of Microsoft employees, customers or the public.

Information that is collected by or sent to Microsoft by SQL Server may be stored and processed in the United States or any other country in which Microsoft or its affiliates, subsidiaries or service providers maintain facilities, and by using a Microsoft site or service, you consented to any such transfer of information outside of your country. Microsoft abides by the safe harbor framework as set forth by the U.S. Department of Commerce regarding the collection, use, and retention of data from the European Union.

Collection and Use of Information about Your Computer

SQL Server contains Internet-enabled features that can collect and send information about your computer ("standard computer information") to Microsoft. Standard computer information typically includes information such as your IP address, operating system version, browser version, and regional and language settings. In some cases, standard computer information may also include hardware ID, which indicates the device manufacturer, device name, and version. If a particular feature or service sends information to Microsoft, standard computer information will be sent as well.

The privacy details for each SQL Server feature listed in this privacy statement describe what additional information is collected and how it is used.

Security of Your Information

Microsoft is committed to protecting the security of your information. We use a variety of security technologies and procedures to help protect your information from unauthorized access, use, or disclosure. For example, we store the information you provide on computer servers with limited access that are located in controlled facilities.

Changes to the Privacy Statement

We occasionally update this privacy statement to reflect changes in our products and services and customer feedback. When we post changes, we revise the "last updated" date at the top of this statement. If there are material changes to this statement or in how Microsoft will use your personal information, we notify you either by posting a notice of such changes prior to implementing the change or by directly sending you a notification. We encourage you to periodically review this statement to be informed of how Microsoft is protecting your information.

For More Information

If you have questions about this privacy statement or believe that we have not adhered to it, please contact us by e-mail at sqlpriv@microsoft.com.

You can also mail to:

SQL Server Privacy Statement

Microsoft Corporation, One Microsoft Way, Redmond, Washington 98052

Specific Features:

Customer Experience Improvement Program

What This Feature Does:

The Customer Experience Improvement Program (CEIP) feature of SQL Server Business Intelligence Development Studio and SQL Server Management Studio collects information about your hardware configuration and how you use our software and services so that we can identify trends and usage patterns. This information helps improve the quality, reliability, and performance of Microsoft software and services.

Information Collected, Processed or Transmitted:

The information CEIP collects includes the type and number of errors you encounter, software and hardware performance, and the speed of services. We do not collect your name, address or other contact information.

This feature generates a Globally Unique Identifier (GUID) that is stored on your computer to uniquely identify it. The GUID is a randomly generated number; it does not contain any personal information and will not be used to identify you. CEIP uses the GUID to distinguish how widespread the feedback we receive is and how to prioritize it. For example, this number allows Microsoft to distinguish between one customer having an error 100 times and 100 customers having the same error once. The GUID is persistent.

Use of Information:

The information collected is used to help improve Microsoft’s products. Microsoft employees, contractors and vendors who have a business need to use the data are provided access as necessary.

Choice/Control

You will be given an opportunity to participate in CEIP during the SQL Server installation. For pre-release versions of SQL Server, CEIP is turned on by default. You can later change your installation choice by following the instructions below.

To change your CEIP settings:

  1. Start SQL Server Management Studio, or SQL Server Business Intelligence Development Studio, and open a new or existing Analysis Services, or Data Transformation Services project.

  2. From the Help menu of SQL Server Management Studio, select Microsoft SQL Server Customer Feedback Options, or from the Help menu of SQL Server Business Intelligence Development Studio, select Microsoft SQL Server Customer Feedback Settings.

  3. To turn CEIP off, click No, I don't wish to participate. To turn CEIP on, click Yes, I am willing to participate.

  4. Click OK.

Important Information:

Enterprise customers may construct Group Policy to opt in or out of CEIP by setting a registry-based policy. The relevant registry key and settings are as follows:

Key = HKEY_CURRENT_USER\Software\Microsoft\Microsoft SQL Server\100

RegEntry name = CustomerFeedback

Entry type DWORD:

  • 0 is opt out

  • 1 is opt in

Caution:

Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer. You can also use the Last Known Good Configuration startup option if you encounter problems after manual changes have been applied.

For more information about CEIP, read the CEIP privacy statement.

Individual Error Reports

What This Feature Does:

Individual Error Reports allow you to report problems you may be having with SQL Server and all of its component products that have user interfaces. Error reporting for components and services that do not have user interfaces (such as SQL Server Database Engine, SQL Agent, Analysis Services, Reporting Services, Notification Services, SQL Replication, the Database Tuning advisor component, SQL Browser Service and SQL Writer) is handled by the Error and Usage Reporting Tool, described below.

Information Collected, Processed, or Transmitted:

Individual Error Reports collect standard computer information, which is not used to identify you. They do not intentionally collect name, address, email address, computer name, or any information that will be used to identify you or contact you. It is possible that such information may be captured in memory or in the data collected from open files, but Microsoft does not use it to identify you.

In rare cases, such as problems that are especially difficult to solve, Microsoft may request additional data, including sections of memory (which may include memory shared by any or all applications running at the time the problem occurred), some registry settings, and one or more files from your computer. Your current documents may also be included. When additional data is requested, you can review the data and choose whether to send it.

In certain cases, you may be asked to answer an optional survey after sending an error report. If you send an error report without sending survey information, none of the information in your error report is used to identify you. If you choose to provide a phone number or e-mail address then we may contact you to ask for additional data that will help us solve a problem. In some cases you may also be presented with an opportunity to track your error report. If you choose to track an error, your report is associated with your e-mail address.

Use of Information:

We use the data for diagnosing and solving customer problems and to improve this and other Microsoft software and services.

Choice/Control:

Each time an error occurs in a SQL Server component with a user interface, a report is generated and you are asked if you want to send this report to Microsoft. You will have an opportunity to view the information contained in the error report before choosing whether to send the report.

Enterprise customers can use Group Policy to configure how Error Reporting behaves on their computers. Configuration options include the ability to completely turn off Error Reporting. For more information about how to configure Group Policy for Error Reporting for administrators, see the Windows Server 2003 TechNet site. For more information about technical details for Windows Server 2008, see Group Policy Planning and Deployment Guide.

Important Information:

For more information about what details are collected and how they are used, see the Privacy Statement for the Microsoft Error Reporting Service.

Error and Usage Reporting

What This Feature Does:

The Error Reporting feature gives you the opportunity to automatically send error reports to Microsoft for SQL Server components and servers that do not have a user interface and run in the background, such as SQL Server Database Engine, SQL Agent, Analysis Services, Reporting Services, Notification Services, SQL Replication, the Database Tuning advisor component, SQL Browser Service and SQL Writer (“Background Services”). If you consent, the Error Reporting feature allows you to automatically report problems you may be having with Background Services to Microsoft and to receive information that may help you get around or solve such problems.

The Usage Reporting Feature gives you the opportunity to automatically send usage information to Microsoft. If you consent, the Usage Reporting feature will collect and send to Microsoft information about your hardware configuration and which SQL Server features are being used on that hardware, so we can identify trends and usage patterns.

Information Collected, Processed, or Transmitted:

The Error Reporting feature collects the same types of information as Individual Error Reports collects. In addition, the Error Reporting feature of SQL Server collects extensive information specific to usage at the time of the error including, for example: machine characteristics (CPU speed, number of processors, etc.), callstack of faulting threads (or all threads for certain types of error), execution plans and other execution data, and information about open files. It may also collect historic information about the behavior of the operating system and SQL Server, and for certain error types, data page contents. It is possible that personally identifiable information may be captured in memory or in the data collected from open files, but Microsoft does not use it to identify you. Unlike Individual Error Reports described above, you will not have the opportunity to review the information in the reports generated by the Error Reporting feature before they are sent.

The Usage Reporting feature collects information about your hardware configuration, which features are installed and used by each of the SQL Server products installed on that hardware and how those features perform. We do not collect your name, address or other contact information. This feature also generates a GUID that is stored on your computer to uniquely identify it. The GUID is a randomly generated number; it does not contain any personal information and will not be used to identify you.

Use of Information:

The data sent by the Error and Usage Reporting is used to track down and solve problems that users are experiencing and to help improve Microsoft’s products. The usage reports are used by the Customer Experience Improvement Program, which helps us make better software. By participating in this program, you are directly influencing how our software is designed.

Choice/Control:

During setup, you will be offered the opportunity to automatically send error and usage reports to Microsoft. For pre-release versions of SQL Server, the Error Reporting feature is turned on by default. To later turn these features on or off, use the Error and Usage Reporting Tool, which is available by clicking on the Start menu, Programs, SQL Server 2005, Configuration Tools, SQL Server Error and Usage Reporting.

Enterprise customers can use Group Policy to configure how the Error Reporting feature behaves on their computers. Configuration options include the ability to completely turn off Error Reporting. For more information about how to configure Group Policy for Error Reporting for administrators, see the Windows Server 2003 TechNet site. For more information about technical details for Windows Server 2008, see Group Policy Planning and Deployment Guide

Important Information:

Some error reports may be sent to Microsoft even if you choose not to use the SQL Server Error Reporting feature if you have configured Windows to use Microsoft Error Reporting.

SQL Server Books Online: Content Feedback Feature

What This Feature Does:

For each SQL Server Books Online Help topic, you can provide feedback to the SQL Server documentation team regarding whether the content was useful. At the bottom of each Help topic, you will see the question “Was this information helpful?” If you click the Yes button or the No button, an e-mail message will be generated in your e-mail client, and the subject line of that e-mail message will be automatically populated with information about the content you are commenting on. You can add specific feedback regarding the content in the body of this e-mail message.

Information Collected, Processed or Transmitted:

To provide the SQL Server Documentation team with the necessary context information regarding your feedback, the subject line of the feedback e-mail message will contain some or all of the following information: the topic title, the product name, the product version, the documentation version, the name of the Help file, the topic URL, the topic rating (which varies depending on whether you clicked Yes or No), the type of Help file (.chm or .hxs), the language you are using (for example, English), and the version number of the Help feedback script. Note that if the Help topic is in the .chm Help format, the Help file installation path on your computer may also be included.

Use of Information:

The information you provide is used by the SQL Server Documentation team in order to make corrections or enhancements to the documentation provided with SQL Server.

Choice/Control:

The feedback e-mail message is not generated unless you click Yes or No, and the e-mail message is not sent to Microsoft unless you click Send in your e-mail client.

Important Information:

Your e-mail address is not used for marketing purposes unless you have given consent for that purpose.

Microsoft SQL Server Books Online: Online Content Settings for Help

What This Feature Does:

The Online Content feature enables you to query online Web sites automatically when performing a search, including Microsoft’s MSDN Online Web site and third-party community Web sites. In addition, you can get information from these same Web sites in response to pressing the F1 key on language keywords in the code window.

Information Collected, Processed or Transmitted:

To return relevant results, the Online Content feature transmits to MSDN Online (and any other third-party Web sites you designate in the Online Content option) information including standard computer information, the search text string you entered or the keywords associated with the language keyword you pressed F1 on, and the sources to be searched (such as MSDN Online).

Use of Information:

The information is used to respond to the search query or F1 key press. Microsoft also uses this information to develop new content and revise existing content.

Choice/Control:

By default, SQL Server searches for help only on your computer. No information is sent to Microsoft if you do not choose to use the Use Online Content setting. To choose your search settings:

  1. Within Books Online, select Help at the top of the screen, select Tools, then select Options, and then select Online.

  2. Select one of the following three options: Try Local Only, Not Online; Try Local First, then Online; or Try Online First, then Local.

  3. In the Search Providers box, you can select or deselect any of the providers and, using the up/down arrows, you can set the order that search providers are used.

  4. Click OK.

Important Information:

This disclosure only covers interactions with MSDN Online; how other designated Web sites collect and use search information depends on the particular site selected. For more information about MSDN Online privacy practices, see Microsoft Online Privacy Notice.

Using Microsoft Bing Maps With SQL Server Reporting Services
What This Feature Does:

SQL Server Reporting Services allows you to build reports that integrate with Microsoft Bing Maps. To enable this feature, certain information is sent from your server to the Bing Maps Web service.

Information Collected, Processed or Transmitted:

If you configure SQL Server with your Bing Maps ID, that ID will be sent to Bing Maps along with your requests for data each time you run a report that uses the Bing Maps feature.

Use of Information:

Microsoft uses the information to operate and improve Microsoft Bing Maps and other Microsoft sites and services. For more information, see the Microsoft Online Privacy Statement.

Choice/Control:

By default, a unique identifier is not sent with requests to Microsoft Bing Maps. See your SQL Server documentation to learn how you can add your Bing Maps ID to your SQL Server configuration.


Legal Notice for Documentation

Legal Notice for Documentation
Overview of SQL Server Setup Documentation >

This document supports a the final commercial release of the software program "SQL Server 2008 R2". This document is the confidential and proprietary information of Microsoft Corporation.

This document is provided “as-is”. Information and views expressed in this document, including URL and other Internet Web site references, may change without notice. You bear the risk of using it. Some examples depicted in this document are provided for illustration only and are fictitious. No real association or connection is intended or should be inferred.

This document does not provide you with any legal rights to any intellectual property in any Microsoft product. You may copy and use this document for your internal, reference purposes.

© 2010 Microsoft Corporation. All rights reserved.

Microsoft, Active Directory, ActiveX, Bing Maps, Excel, IntelliSense, MSDN, MS-DOS, PivotChart, PivotTable, PowerPoint, SharePoint, SQL Server, Visual Basic, Visual C#, Visual C++, Visual Studio, Windows, Windows NT, Windows Server, and Windows Vista are trademarks of the Microsoft group of companies.

SAP NetWeaver is the registered trademark of SAP AG in Germany and in several other countries.

All other trademarks are property of their respective owners.

Documentation Policy for SQL Server Support and Upgrade

Documentation - Support and Upgrade Policy

Microsoft SQL Server 2008 R2 software documentation includes SQL Server Books Online (“BOL”), readme files, known issues documents, sample code/applications, sample databases, and Knowledge Base articles published by Microsoft, which all contain content about SQL Server features and functionality (all the “Documentation”). The summary below describes the support and upgrade policy for certain features and functionality referenced in the Documentation.

Samples. The primary purpose of a sample contained within Documentation is to illustrate a concept, or a reasonable use of a particular statement or clause. Most samples do not include all of the code that may normally be found in a full production system, as some of the usual data validation and error handling is removed to focus the sample on a particular concept or statement. Microsoft Customer Support Services is not available for any samples contained in the Documentation.

Placeholders. In some cases, a particular feature in SQL Server 2008 R2 has not been sufficiently tested or developed for use. Such features are often listed in a BOL, readme file, or other Documentation as placeholders and are only intended as notations for Microsoft internal reference. Such features are not intended for your use and are not supported by Microsoft Customer Support Services. The attempted use of such features may result in data loss.

Third Party Content. Unless the Documentation states otherwise, third party content, including issues that result from using such third party content with SQL Server 2008 R2, are not supported by Microsoft Customer Support Services.

Undocumented Entry Points. Microsoft Customer Support Services does not provide support for databases or applications that leverage or use undocumented entry points like undocumented APIs, including but not limited to: stored procedures, extended stored procedures, functions, views, tables, columns, properties, or metadata. Such use may result in data loss.

Upgrades. Server and database upgrades to future versions of SQL Server 2008 R2 for applications and databases that leverage and use undocumented entry points also may not work and are not supported by Microsoft Customer Support Services.

For more information about the Microsoft Support Lifecycle policy, visit the following Web site: http://support.microsoft.com/lifecycle.


Licensing Considerations for SQL Server 2008 R2

Licensing Considerations for SQL Server 2008 R2 |
 | See Also
Overview of SQL Server Setup Documentation >

For more information about SQL Server licensing options, see this Microsoft SQL Server Web site.

See Also

Reference

About the SQL Server License Terms

Concepts

SQL Server 2008 R2 Privacy Statement
Legal Notice for Documentation

© 2010 Microsoft Corporation. All rights reserved.


File Locations for Default and Named Instances of SQL Server

File Locations for Default and Named Instances of SQL Server |
 | See Also

An installation of SQL Server consists of one or more separate instances. An instance, whether default or named, has its own set of program and data files, as well as a set of common files shared between all instances of SQL Server on the computer.

For an instance of SQL Server that includes the Database Engine, Analysis Services, and Reporting Services, each component has a full set of data and executable files, and common files shared by all components.

To isolate install locations for each component, unique instance IDs are generated for each component within a given instance of SQL Server.

Important:
Program files and data files cannot be installed on a removable disk drive, cannot be installed on a file system that uses compression, cannot be installed to a directory where system files are located, and cannot be installed on shared drives on a failover cluster instance.

Do not delete any of the following directories or their contents: Binn, Data, Ftdata, HTML, or 1033. You can delete other directories, if necessary; however, you might not be able to retrieve any lost functionality or data without uninstalling and then reinstalling SQL Server. Do not delete or modify any of the .htm files in the HTML directory. They are required for SQL Server tools to function properly.

Shared Files for All Instances of SQL Server

Common files used by all instances on a single computer are installed in the folder <drive>:\Program Files\Microsoft SQL Server\100\, where <drive> is the drive letter where components are installed. The default is usually drive C.

File Locations and Registry Mapping

During SQL Server Setup, an instance ID is generated for each server component. The server components in this SQL Server release are the Database Engine, Analysis Services, and Reporting Services.

The default instance ID is constructed by using the following format:

  • MSSQL for the Database Engine, followed by the major version number, followed by an underscore and the minor version when applicable, and a period, followed by the instance name.

  • MSAS for Analysis Services, followed by the major version number, followed by an underscore and the minor version when applicable, and a period, followed by the instance name.

  • MSRS for Reporting Services, followed by the major version number, followed by an underscore and the minor version when applicable, and a period, followed by the instance name.

Examples of default instance IDs in this release of SQL Server 2008 R2 are as follows:

  • MSSQL10_50.MSSQLSERVER for a default instance of SQL Server 2008 R2.

  • MSAS10_50.MSSQLSERVER for a default instance of Analysis Services.

  • MSSQL10_50.MyInstance for a named instance of SQL Server 2008 R2 named "MyInstance."

The directory structure for a SQL Server 2008 R2 named instance that includes the Database Engine and Analysis Services, named "MyInstance", and installed to the default directories would be as follows:

  • C:\Program Files\Microsoft SQL Server\MSSQL10_50.MyInstance\

  • C:\Program Files\Microsoft SQL Server\MSASSQL10_50.MyInstance\

You can specify any value for the instance ID, but avoid special characters and reserved keywords. For more information, see Reserved Keywords (Setup).

You can specify a non-default instance ID during SQL Server Setup. Instead of <Program Files>\Microsoft SQL Server, a <custom path>\Microsoft SQL Server is used if the user chooses to change the default installation directory. Note that instance IDs that begin with an underscore (_) or that contain the number sign (#) or the dollar sign ($) are not supported.

Note:
Integration Services and client components are not instance aware and, therefore are not assigned an instance ID. By default, non-instance-aware components are installed to a single directory: <drive>:\Program Files\Microsoft SQL Server\100\. Changing the installation path for one shared component also changes it for the other shared components. Subsequent installations install non-instance-aware components to the same directory as the original installation.

SQL Server Analysis Services is the only SQL Server component that supports instance renaming after installation. If an instance of Analysis Services is renamed, the instance ID will not change. After instance renaming is complete, directories and registry keys will continue to use the instance ID created during installation.

The registry hive is created under HKLM\Software\Microsoft\Microsoft SQL Server\<Instance_ID> for instance-aware components. For example,

  • HKLM\Software\Microsoft\Microsoft SQL Server\MSSQL10_50.MyInstance

  • HKLM\Software\Microsoft\Microsoft SQL Server\MSASSQL10_50.MyInstance

  • HKLM\Software\Microsoft\Microsoft SQL Server\MSSQL.3

The registry also maintains a mapping of instance ID to instance name. Instance ID to instance name mapping is maintained as follows:

  • [HKEY_LOCAL_MACHINE\Software\Microsoft\Microsoft SQL Server\Instance Names\SQL] "InstanceName"="MSSQL10_50"

  • [HKEY_LOCAL_MACHINE\Software\Microsoft\Microsoft SQL Server\Instance Names\OLAP] "InstanceName"="MSASSQL10_50"

  • [HKEY_LOCAL_MACHINE\Software\Microsoft\Microsoft SQL Server\Instance Names\RS] "InstanceName"="MSRSSQL10_50"

Specifying File Paths

During Setup, you can change the installation path for the following features:

The installation path is displayed in Setup only for features with a user-configurable destination folder:

Component | Default path1, 2 | Configurable3 or Fixed Path
Database Engine server components | \Program Files\Microsoft SQL Server\MSSQL10_50.<InstanceID>\ | Configurable
Database Engine data files | \Program Files\Microsoft SQL Server\MSSQL10_50.<InstanceID>\ | Configurable
Analysis Services server | \Program Files\Microsoft SQL Server\MSAS10_50.<InstanceID>\ | Configurable
Analysis Services data files | \Program Files\Microsoft SQL Server\MSAS10_50.<InstanceID>\ | Configurable
Reporting Services report server | \Program Files\Microsoft SQL Server\MSRS10_50.<InstanceID>\Reporting Services\ReportServer\Bin\ | Configurable
Reporting Services report manager | \Program Files\Microsoft SQL Server\MSRS10_50.<InstanceID>\Reporting Services\ReportManager\ | Fixed path
Integration Services | <Install Directory>\100\DTS\ | Configurable4
Client Components | <Install Directory>\100\Tools\ | Configurable4
Replication and server-side COM objects | <drive>:\Program Files\Microsoft SQL Server\100\COM\5 | Fixed path
Integration Services component DLLs for the Data Transformation Run-time engine, the Data Transformation Pipeline engine, and the dtexec command prompt utility | <drive>:\Program Files\Microsoft SQL Server\100\DTS\Binn | Fixed path
DLLs that provide managed connection support for Integration Services | <drive>:\Program Files\Microsoft SQL Server\100\DTS\Connections | Fixed path
DLLs for each type of enumerator that Integration Services supports | <drive>:\Program Files\Microsoft SQL Server\100\DTS\ForEachEnumerators | Fixed path
SQL Server Browser Service, WMI providers | <drive>:\Program Files\Microsoft SQL Server\100\Shared\ | Fixed path
Components that are shared between all instances of SQL Server | <drive>:\Program Files\Microsoft SQL Server\100\Shared\ | Fixed path

1Ensure that the \Program Files\Microsoft SQL Server\ folder is protected with limited permissions.

2The default drive for these locations is systemdrive, normally drive C.

3Installation paths for child features are determined by the installation path of the parent feature.

4A single installation path is shared between Integration Services and client components. Changing the installation path for one component also changes it for other components. Subsequent installations install components to the same location as the original installation.

5This directory is used by all instances of SQL Server on a computer. If you apply an update to any of the instances on the computer, any changes to files in this folder will affect all instances on the computer. When you add features to an existing installation, you cannot change the location of a previously installed feature, nor can you specify the location for a new feature. You must either install additional features to the directories already established by Setup, or uninstall and reinstall the product.

Note:
For clustered configurations, you must select a local drive that is available on every node of the cluster.

When you specify an installation path during Setup for the server components or data files, the Setup program uses the instance ID in addition to the specified location for program and data files. Setup does not use the instance ID for tools and other shared files. Setup also does not use any instance ID for the Analysis Services program and data files, although it does use the instance ID for the Analysis Services repository.

If you set an installation path for the Database Engine feature, SQL Server Setup uses that path as the root directory for all instance-specific folders for that installation, including SQL Data Files. In this case, if you set the root to "C:\Program Files\Microsoft SQL Server\MSSQL10_50\MSSQL\", instance-specific directories are added to the end of that path.

Customers who choose to use the USESYSDB upgrade functionality in the SQL Server Installation Wizard (Setup UI mode) can easily lead themselves into a situation where the product gets installed into a recursive folder structure. For example, <SQLProgramFiles>\MSSQL10_50\MSSQL\MSSQL10_50\MSSQL\Data\. Instead, to use the USESYSDB feature, set an installation path for the SQL Data Files feature instead of the Database Engine feature.

Note:
Data files are always expected to be found in a child directory named Data. For example, specify C:\Program Files\Microsoft SQL Server\MSSQL10_50\ to specify the root path to the data directory of the system databases during upgrade when data files are found under C:\Program Files\Microsoft SQL Server\MSSQL10_50\MSSQL\Data.

See Also

Reference

Database Engine Configuration - Data Directories
Analysis Services Configuration - Data Directories


How to: View and Read SQL Server Setup Log Files

How to: View and Read SQL Server Setup Log Files |
 | See Also

Logging for SQL Server Setup has changed in this release.

Each execution of Setup creates log files are created with a new timestamped log folder at %programfiles%\Microsoft SQL Server\100\Setup Bootstrap\Log\. The time-stamped log folder name format is YYYYMMDD_hhmmss. When Setup is run in an unattended mode, the logs are created at % temp%\sqlsetup*.log. All files in the logs folder are archived into the Log*.cab file in their respective log folder.

A typical Setup request goes through three execution phases:

  1. Global rules text

  2. Component update

  3. User-requested action

In each phase, Setup generates detail and summary logs with additional logs created as appropriate. Setup is called at least three times per user-requested Setup action.

Datastore files contain a snapshot of the state of all configuration objects being tracked by the Setup process, and are useful for troubleshooting configuration errors. XML file dumps are created for datastore objects for each execution phase. They are saved in their own log subfolder under the time-stamped log folder, as follows:

  • Datastore_GlobalRules

  • Datastore_ComponentUpdated

  • Datastore

The following sections describe SQL Server Setup log files.

Summary Text

Overview

This file shows the SQL Server components that were detected during Setup, the operating system environment, command-line parameter values if they are specified, and the overall status of each MSI/MSP that was executed.

The log is organized into the following sections:

  • An overall summary of the execution

  • Properties and the configuration of the computer where SQL Server Setup was run

  • SQL Server product features previously installed on the computer

  • Description of the installation version and installation package properties

  • Runtime input settings that are provided during install

  • Location of the configuration file

  • Details of the execution results

  • Global rules

  • Rules specific to the installation scenario

  • Failed rules

  • Location of the rules report file

Location

It is located at %programfiles%\Microsoft SQL Server\100\Setup Bootstrap\Log\.

To find errors in the summary text file, search the file by using the "error" or "failed" keywords.

Summary_engine-base_YYYYMMDD_HHMMss.txt

Overview

The summary_engine base file is similar to the summary file and is generated during the main workflow.

Location

It is located at %programfiles%\Microsoft SQL Server\100\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Summary_engine-base_YYYYMMDD_HHMMss_ComponentUpdate.txt

Overview

The component update summary log file is similar to the summary file and is generated during the component update workflow.

Location

It is located at %programfiles%\Microsoft SQL Server\100\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Summary_engine-base_20080503_040551_GlobalRules.txt

Overview

The global rules summary log file is similar to the summary file generated during the global rules workflow.

Location

It is located at %programfiles%\Microsoft SQL Server\100\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Detail.txt

Overview

Detail.txt is generated for the main workflow such as install or upgrade, and provides the details of the execution. The logs in the file are generated based on the time when each action for the installation was invoked, and show the order in which the actions were executed, and their dependencies.

Location

It is located at %programfiles%\Microsoft SQL Server\100\Setup

Bootstrap\Log\<YYYYMMDD_HHMM>\Detail.txt.

If an error occurs during the Setup process, the exception or error are logged at the end of this file. To find the errors in this file, first examine the end of the file followed by a search of the file for the “error” or “exception” keywords.

Detail_ComponentUpdate.txt

Overview

The Detail_ComponentUpdate.txt file is generated for the component update workflow and is similar to Detail.txt.

Location

It is located at %programfiles%\Microsoft SQL Server\100\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

Detail_GlobalRules.txt

Overview

Detail_GlobalRules.txt is generated for the global rules execution and is similar to Detail.txt.

Location

It is located at %programfiles%\Microsoft SQL Server\100\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

MSI log files

Overview

The MSI log files provide details of the installation package process. They are generated by the MSIEXEC during the installation of the specified package.

Types of MSI log files:

  • <Feature>_<Architecture>_<Iteration>.log

  • <Feature>_<Architecture>_<Language>_<Iteration>.log

  • <Feature>_<Architecture>_<Iteration>_<workflow>.log

Location

The MSI log files are located at %programfiles%\Microsoft SQL Server\100\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\<Name>.log.

At the end of the file is a summary of the execution which includes the success or failure status and properties. To find the error in the MSI file, search for “value 3” and usually the errors can be found close to the string.

ConfigurationFile.ini

Overview

The configuration file contains the input settings that are provided during installation. It can be used to restart the installation without having to enter the settings manually. However, passwords for the accounts, PID, and some parameters are not saved in the configuration file. The settings can be either added to the file or provided by using the command line or the Setup user interface. For more information, see How to: Install SQL Server 2008 R2 Using a Configuration File.

Location

It is located at %programfiles%\Microsoft SQL Server\100\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

SystemConfigurationCheck_Report.htm

Overview

The system configuration check report contains a short description for each executed rule, and the execution status.

Location

It is located at %programfiles%\Microsoft SQL Server\100\Setup Bootstrap\Log\<YYYYMMDD_HHMM>\.

See Also

Concepts

Troubleshooting an Installation of SQL Server


Troubleshooting an Installation of SQL Server

Troubleshooting an Installation of SQL Server |
 | See Also

To view troubleshooting information about installation and upgrade issues, see the SQL Server 2008 R2 Readme.

See Also

Concepts

How to: View and Read SQL Server Setup Log Files


SQL Server Setup User Interface Reference

SQL Server Setup User Interface Reference

This section describes the installation options presented by the SQL Server Installation Wizard.


Accept License Terms

Accept License Terms |
 | See Also
SQL Server Setup User Interface Reference >

Use the Accept License Terms page of the SQL Server Installation Wizard to accept the license terms for this release of SQL Server.

You can print the license agreement or copy it to the Clipboard. To continue, accept the license terms, and then click Next. To close the installation, click Cancel.

Feature Usage Reporting

If you enable Feature Usage reporting, SQL Server is configured to periodically send a report to Microsoft. Reports include information about your hardware configuration and how you use SQL Server and components. Microsoft will use feature usage data to improve SQL Server. SQL Server components monitored by this feature include the following:

  • The Database Engine

  • Analysis Services

  • Reporting Services

  • Integration Services

  • Replication

  • Business Intelligence Development Studio

  • SQL Server Setup

Information about feature use is sent to Microsoft, where it is stored with limited access.

To disable feature usage reporting after Setup completes, use the SQL Server Error and Usage Reporting tool on the SQL Server Configuration Tools menu.

For Setup actions like installation, upgrade, repair, and so on, information is collected and uploaded only during the Setup program execution

For all other SQL Server components, information is collected one time per day for all enabled instances of SQL Server. By default, the time of collection is midnight to minimize the load on the server. If you want to change the time of collection, you can manually edit the registry key that controls the collection time. Each instance of SQL Server has its own registry key:

HKLM\Software\Microsoft\Microsoft SQL Server\MSSQL10_50.<INSTANCEID>\CPE\TimeofReporting

The value of this registry key contains the time for the collection as the number of minutes from 00:00 (midnight) to run. For example, a value of 60 would run the collection at 1:00 a.m., a value of 1200 would run the collection at 8:00 p.m., and so on.

See Also

Reference

About the SQL Server License Terms

© 2010 Microsoft Corporation. All rights reserved.


Add SQL Server Failover Cluster Node

Add SQL Server Failover Cluster Node |
 | See Also
SQL Server Setup User Interface Reference >

The following rules are used by SQL Server Setup to validate your computer configuration before the Setup operation finishes.

Check item | Description | User action
SSMS_IsInternetConnected | Verifies that the computer is connected to the Internet. When a .NET Framework application such as Microsoft Management Studio starts, there might be a slight delay while the .NET Framework security check validates a certificate. | Ensure that the computer is connected to the Internet.
AclPermissionsFacet | Checks if the SQL Server registry keys are consistent. | SQL Server registry keys must be consistent to support SQL Server installation or upgrade.
BlockMixedArchitectureUpgrade | Checks whether the CPU architecture of features you are trying to upgrade is different from the CPU architecture of this installation program. | You must install or upgrade by using SQL Server installation media that matches the architecture of the instance of SQL Server that you are modifying.
Cluster_IsOnlineIfClustered | Verifies that the computer is not clustered, or that the computer is clustered and the cluster service is online. | The computer must either not be clustered, or the cluster must be up and online.
FacetDomainControllerCheck | Checks whether the computer is a domain controller. Installing SQL Server on a domain controller is not recommended. | Ensure that this computer is not a domain controller. See Security Considerations for a SQL Server Installation.
FacetPowerShellCheck | Checks whether Windows PowerShell is installed. Windows PowerShell is a pre-requisite for some SQL Server editions. | For installations of SQL Server 2008 R2 Express with Advanced Services, ensure that Windows PowerShell is installed.
FacetWOW64PlatformCheck | Determines whether SQL Server Setup is supported on this operating system platform. | This rule will block unsupported installations on the 64-bit platform. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
FusionRebootCheck | Checks if a pending computer restart is required. A pending restart can cause Setup to fail. | A computer restart is required before installing SQL Server.
PerfMonCounterNotCorruptedCheck | Checks if the existing performance counter registry hive is consistent. | Ensure that the performance counter registry hive is consistent.
SqlUnsupportedProductBlocker | Checks whether SQL Server 7.0 or SQL Server 7.0 OLAP Services is installed. SQL Server 2008 R2 is not supported side-by-side with SQL Server 7.0. | Remove SQL Server 7.0, or install SQL Server 2008 R2 on a different computer.

See Also

Reference

Setup Support Rules

© 2010 Microsoft Corporation. All rights reserved.


Analysis Services Configuration - Account Provisioning

Analysis Services Configuration - Account Provisioning |
 | See Also
SQL Server Setup User Interface Reference >

Use the Analysis Services Configuration page of the SQL Server Installation Wizard to grant administrative permissions to users or services requiring unrestricted access to Analysis Services.

If you are installing PowerPivot for SharePoint, consider granting administrative permissions to SharePoint farm administrators or service administrators who are responsible for a deployment of SQL Server PowerPivot for SharePoint in a SharePoint 2010 farm.

Note:
In a PowerPivot for SharePoint deployment, a PowerPivot service application requires administrative permissions on the Analysis Services service to support server communication and coordinated functions. Administrative permissions are granted automatically when you create a PowerPivot service application in SharePoint Central Administration. Administrative permissions are also granted by Setup if you are installing PowerPivot for SharePoint using the New Server option. For more information about installation and service account requirements, see How to: Install Analysis Services on a New SharePoint Server.

Considerations for Provisioning SQL Server

Beginning in SQL Server 2005, significant changes were implemented to help ensure that SQL Server was more secure than previous versions. Changes included a "secure by design, secure by default, and secure in deployment" strategy designed to protect the server instance and its databases from security attacks.

SQL Server 2008 continues the security hardening process by introducing more changes to the server and database components. The changes introduced in SQL Server 2008 further decrease the surface and attack areas for the server and its databases by instituting a policy of least privileges and increases separation of Windows administration and SQL Server administration. This means that internal accounts are protected and separated into operating system functions and SQL Server functions. These measures include:

  • New SQL Server 2008 installations no longer add the local Windows Group BUILTIN\Administrators to the Analysis Services sysadmin fixed server role.

  • The ability to provision one or more Windows principals into the sysadmin server role inside SQL Server. This option is available during SQL Server Setup for new installations of SQL Server 2008.

  • The Surface Area Configuration (SAC) tool has been removed, and replaced by policy-based management and changes in the SQL Server Configuration Manager tool.

These changes will affect your security planning for SQL Server, and help you create a more complete security profile for your system.

Considerations for Running SQL Server 2008 on Windows Vista and Windows Server 2008

Windows Vista and Windows Server 2008 include a new feature, User Account Control (UAC), that helps administrators manage their use of elevated permissions. By default, on Windows Vista and Windows Server 2008, administrators do not use their administrative rights. Instead, they perform most actions as standard users, temporarily assuming their administrative rights only when it is necessary. However, instead of elevating privileges, we recommend that you create a Windows user account that has sufficient permissions to perform all necessary administrative tasks.

UAC causes some known issues. For more information, see the following Web pages:

  • Considerations for Running SQL Server 2005 on Windows Vista

  • User Account Control

  • Windows Vista and Windows Server 2008 User Account Control Step by Step Guide

Options

Specify Analysis Services Administrators - You must specify at least one system administrator for the instance of SQL Server.

  • To add the account under which SQL Server Setup is running, click the Add Current User button.

  • To add other users or services, click the Add… button and then enter the Windows domain user accounts for the person or service requiring administrative permissions.

  • To remove accounts from the list of system administrators, click Remove and then edit the list of users, groups, or computers that will have administrator privileges for the instance of SQL Server.

When you are finished editing the list, click OK, then verify the list of administrators in the configuration dialog box. When the list is complete, click Next.

See Also

Other Resources

Setting Up Windows Service Accounts
How to: Install Analysis Services on a Standalone SharePoint Server
Configuring the Analysis Services Service Account


Analysis Services Configuration - Data Directories

Analysis Services Configuration - Data Directories |
 | See Also
SQL Server Setup User Interface Reference >

The default directories in the following table are user-configurable during SQL Server Setup. The table specifies default directories for both native mode and SharePoint integrated mode installations. All installations of Analysis Services in SharePoint integrated mode include the PowerPivot instance name in the path name.

Description | Default directory | Recommendations
Data root directory | C:\Program Files\Microsoft SQL Server\MSAS10.<InstanceID>\OLAP\Data\ - OR - C:\Program Files\Microsoft SQL Server\MSAS10_50.POWERPIVOT\OLAP\Data\ | Ensure that the \Program files\Microsoft SQL Server\ folder is protected with limited permissions. Analysis Services performance depends, in many configurations, on the performance of the storage on which the data directory is located. Place this directory on the highest performing storage that is attached to the system. For failover cluster installations, ensure that data directories are placed on the shared disk.
Log file directory | C:\Program Files\Microsoft SQL Server\MSAS10.<InstanceID>\OLAP\Log\ - OR - C:\Program Files\Microsoft SQL Server\MSAS10_50.PowerPivot\OLAP\Log\ | This is the directory for Analysis Services log files, and it includes the FlightRecorder log. If you increase the flight recorder duration, ensure that the log directory has adequate space.
Temp directory | C:\Program Files\Microsoft SQL Server\MSAS10.<InstanceID>\OLAP\Temp\ - OR - C:\Program Files\Microsoft SQL Server\MSAS10_50.PowerPivot\OLAP\Temp\ | Place the Temp directory on the high performance storage subsystem.
Backup directory | C:\Program Files\Microsoft SQL Server\MSAS10.<InstanceID>\OLAP\Backup\ - OR - C:\Program Files\Microsoft SQL Server\MSAS10_50.PowerPivot\OLAP\Backup\ | This is the directory for Analysis Services default backup files. On a SharePoint farm, this directory is used to cache PowerPivot data sources. Ensure appropriate permissions are set to prevent data loss, and that the user group for the Analysis Services service has adequate permissions to write to the backup directory. Using a mapped drive for backup directories is not supported.
SharePoint trace logs | C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\14\Logs | This is the directory for SharePoint trace logs. Analysis Services instances that are deployed on a farm will write error and event messages to this log.

Notes

  • Analysis Services instances that are deployed on a SharePoint farm store application files, data files, and properties in content databases and service application databases.

  • When you add features to an existing installation, you cannot change the location of a previously installed feature, nor can you specify the location for a new feature.

  • If you specify non-default installation directories, ensure that the installation folders are unique to this instance of SQL Server. None of the directories in this dialog box should be shared with directories from other instances of SQL Server.

  • Program files and data files cannot be installed in the following situations:

    • On a removable disk drive

    • On a file system that uses compression

    • To a directory where system files are located

    • On shared drives on a failover cluster instance

See Also

Concepts

File Locations for Default and Named Instances of SQL Server

Other Resources

Securing Program Files, Common Components, and Data Files


Cluster Disk Selection

Cluster Disk Selection
SQL Server Setup User Interface Reference >

Use the Cluster Disk Selection page of the SQL Server Installation Wizard to select the shared cluster disk resource for yourSQL Server failover cluster. The cluster disk is where the SQL Server data will be placed.

Options

Shared Disks

Select a single disk from the list. The cluster disk is where the SQL Server data will be placed.

Only one disk can be specified. If you select the group containing the cluster quorum resource, a warning will be displayed. It is recommended that you do not install to the cluster quorum resource.

Available Shared Disks

Displays a list of available disks, whether each is qualified as a shared disk, and a description of each disk resource.


Cluster Network Selection

Cluster Network Selection
SQL Server Setup User Interface Reference >

Use the Cluster Network Selection page to specify the network resources for your failover cluster instance.

Options

SQL Server Failover Cluster Network Name - This is the name used to identify your failover cluster instance on the network.

Network Settings - Specify the IP type and IP address for your failover cluster instance.


Cluster Node Configuration

Cluster Node Configuration
SQL Server Setup User Interface Reference >

Use the Cluster Node Configuration page to add or remove nodes from a failover cluster instance. Note that Setup operations for SQL Server failover clustering have changed in this release. To install or upgrade a SQL Server failover cluster, you must run the Setup program on each node of the failover cluster. To add a node to an existing SQL Server failover cluster, you must run SQL Server Setup on the node that is to be added to the SQL Server failover cluster instance. Do not run Setup on the active node.

Options

SQL Server Instance Name - Use the drop-down list to select the SQL Server failover cluster instance to modify.

Name of this node - This field will be populated with the name of the computer that is running SQL Server Setup. This is the failover cluster node that will be added to or removed from the SQL Server failover cluster instance.


Cluster Node Configuration (Complete)

Cluster Node Configuration (Complete)
SQL Server Setup User Interface Reference >

Use the Cluster Node Configuration (Complete) page to specify an existing instance of SQL Server that has been prepared for clustering. Note that Setup operations for SQL Server failover clustering have changed in this release. To install or upgrade a SQL Server failover cluster, you must run the Setup program on each node of the failover cluster. To add a node to an existing SQL Server failover cluster, you must run SQL Server Setup on the node that is to be added to the SQL Server failover cluster instance. Do not run Setup on the active node.

Options

From the drop-down boxes:

  • SQL Server instance name — Select the instance name for the SQL Server failover cluster.

  • Name of this node — This field is pre-populated with the computer name where the SQL Server Setup program is running.

  • SQL Server Failover Cluster Network Name — This field is not pre-populated. Specify the network name for the new SQL Server failover cluster instance. This is the name that identifies the failover cluster instance on the network.


Cluster Resource Group

Cluster Resource Group |
 | See Also
SQL Server Setup User Interface Reference >

Use the Cluster Resource Group page to specify the disk where SQL Server virtual server resources will be located.

Options

Specify the SQL Server cluster resource group name. You have two options:

  • Use the drop-down box to specify an existing group to use.

  • Type the name of a new group to create. Note that the name "Available storage" is not a valid group name.

See Also

Other Resources

How to: Create a New SQL Server Failover Cluster


Cluster Security Policy

Cluster Security Policy
SQL Server Setup User Interface Reference >

Use the Cluster Security Policy page to configure the security policy for your failover cluster instance.

Options

Specify global or local domain groups for clustered services. All resource permissions are controlled by domain-level groups that include SQL Server service accounts as group members. For more information about service security IDs (SID) functionality on Windows Server 2008, see Setting Up Windows Service A ccounts.

If you are installing a SQL Server 2008 failover cluster instance in a Windows 2000 mixed mode domain, you must use domain global groups for SQL Server Clustered Services.

Note:
Windows 2000 domain controllers can operate in mixed mode and native mode. Mixed mode allows downlevel domain controllers in the same domain.


Complete - Complete Image

Complete - Complete Image
SQL Server Setup User Interface Reference >

Use the Complete page to verify that the configuration of the prepared instance is complete.

Options

This dialog box includes a link to the Setup log file for this operation. To complete the installation, click Close.


Complete Image Progress

Complete Image Progress |
 | See Also
SQL Server Setup User Interface Reference >

Use the Complete Image Progress page of the SQL Server Installation Wizard to monitor the status of SQL Server image completion setup. At the completion of this step, this page lists the status for each SQL Server feature configured and completed.

See Also

Concepts

How to: View and Read SQL Server Setup Log Files


Complete Image Rules

Complete Image Rules
SQL Server Setup User Interface Reference >

SQL Server Setup validates your computer configuration before the Setup operation completes. The following table describes check parameters for the System Configuration Checker and resolution to blocking issues.

Check item | Description | User action
AclPermissionsFacet | Checks if the SQL Server registry keys are consistent | SQL Server registry keys must be consistent to support SQL Server installation or upgrade
MediaPathLength | Checks whether the SQL Server installation media is too long. | Ensure that the SQL Server installation media path is not too long.
OsVersionCheck | Checks whether the computer meets minimum operating system version requirements. | The operating system must meet the minimum requirements for this product. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
RebootRequiredCheck | Checks if a pending computer restart is required. A pending restart can cause Setup to fail. | A computer restart is required. You must restart this computer before installing SQL Server.
ThreadHasAdminPrivilegeCheck | Checks whether the account that is running SQL Server Setup has administrative privileges on the computer. | Ensure that the account running SQL Server Setup has administrative privileges on the computer.
WmiServiceStateCheck | Checks whether the WMI service is started and running on the computer. | The WMI service must be running.
FacetDomainControllerCheck | Checks whether the computer is a domain controller. Installing SQL Server on a domain controller is not recommended. | Ensure that this computer is not a domain controller.
FacetPowerShellCheck | Checks whether Windows PowerShell is installed. Windows PowerShell is a pre-requisite of SQL Server Express with Advanced Services. | For installations of SQL Server Express with Advanced Services, ensure that Windows PowerShell is installed.
FacetWOW64PlatformCheck | Determine if the setup program is supported on operating system platform. | This will block any unsupported installations on a 64-bit platform. WOW installations are not supported for SysPrep.
FusionRebootCheck | Checks if a computer restart is required because of broken fusion ATL. A pending restart can cause SQL Server Setup to fail. | A computer restart is required. You must restart the computer before installing SQL Server.
PerfMonCounterNotCorruptedCheck | Checks if the existing performance counter registry hive is consistent. | Ensure that the performance counter registry hive is consistent.
SqlUnsupportedProductBlocker | Checks whether SQL Server 7.0 or SQL Server 7.0 OLAP Services is installed. SQL Server 2008 R2 is not supported side-by-side with SQL Server 7.0. | Remove SQL Server 7.0 or install SQL Server 2008 R2 on a different computer.
SSMS_IsInternetConnected | Checks to see if the computer is connected to the Internet. SQL Server Management Tools based on .NET Framework technology must check the certificate revocation list on startup. | Ensure that the computer is connected to the Internet.
IsFirewallEnabled | Checks whether the Windows Firewall is enabled. | Make sure the fire wall is enabled and appropriate ports are open to enable remote access. For more information about ports to open for each feature, see Configuring Windows Firewall to allow SQL Server Access .
AS_ValidateEditionUpgrade | Checks whether SQL Server Analysis Services is being upgraded to the correct edition |
InstanceClashRule | Checks whether the specified instance name is already used by an existing instance of SQL Server. | Use a unique instance name that is not currently used by other instances installed on the machine.
LibertyASInstallRule | Checks whether a default instance of SQL Server 2000 (64-bit) Analysis Services is installed. |
Sql2005SsmsExpressFacet | Checks whether SQL Server 2005 Express Edition Tools are installed. |
VSShellInstalledRule | Checks for previous releases of Visual Studio 2008 or if it has already been upgraded to SP1. | You must upgrade to Visual Studio 2008 SP1 before installing SQL Server 2008 R2.
EditionDownGradeCheck | Checks whether the edition of the selected instance of SQL Server is supported in this scenario. | Some editions are supported for upgrade. For more information, see Version and Editions Upgrades.
EditionRequirementCheck | Checks whether the SQL Server edition is supported on this operating system. | You must confirm that the SQL Server edition you are installing is supported on the operating system on this machine. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
EditionUpgradeMatrixCheck | Checks whether the selected instance of SQL Server meets upgrade matrix requirements. | Some editions are supported for upgrade. For more information, see Version and Editions Upgrades.
FAT32FileSystemCheck | Checks whether the specified drive is FAT32 file system volume. Installing on a FAT32 file system is supported but not recommended as it is less secure than the NTFS file system. | Ensure that the drive you are specifying to install SQL Server is not a FAT32 file system.


Complete - Installation

Complete - Installation |
 | See Also
SQL Server Setup User Interface Reference >

Click Close to finish the installation.

See Also

Other Resources

Validating a SQL Server Installation

© 2010 Microsoft Corporation. All rights reserved.


Complete - Prepare Image

Complete - Prepare Image
SQL Server Setup User Interface Reference >

Use the Complete page to verify that image preparation is complete.

Options

This dialog box includes a link to the Setup log file for this operation. To complete the image preparation, click Close.


Complete - Repair

Complete - Repair
SQL Server Setup User Interface Reference >

Use the Complete - Repair page to verify that the repair has completed.

Options

This dialog box includes a link to the Setup log file for this operation. To continue, click Close.


Complete - Upgrade

Complete - Upgrade
SQL Server Setup User Interface Reference >

Use the Complete (Upgrade) page to verify that the upgrade has completed.

Options

This dialog box includes a link to the Setup log file for this operation. To continue, click Close.


Credentials for Remote Database Upgrade

Credentials for Remote Database Upgrade |
 | See Also
SQL Server Setup User Interface Reference >

Use the Credentials for Remote Database Upgrade page of the SQL Server Installation Wizard to specify a database login to a remote report server database.

If you are upgrading a report server database on a remote Database Engine instance, and you are running Setup under credentials that do not have database update permissions on a remote instance, you must enter credentials that Setup can use to connect to and modify the report server database.

Options

User Name

Specifies a SQL Server database login that is used one time during an upgrade operation to connect to the Database Engine instance that hosts the report server database. The account must have permission to update the report server database schema.

Required if the credentials you use to run Setup do not have sysadmin or database owner permissions on the report server database.

This value must be specified if you are upgrading a report server that uses a remote report server database to store application data, and the credentials you used to run Setup do not have sufficient permissions on the remote server.

Password

The password for the login or an empty string if the login does not have a password.

See Also

Other Resources

Considerations for Upgrading Reporting Services
Considerations for Installing Reporting Services


Database Engine Configuration - Account Provisioning

Database Engine Configuration - Account Provisioning |
 | See Also
SQL Server Setup User Interface Reference >

Beginning in SQL Server 2005, significant changes were implemented to help ensure that SQL Server was more secure than previous versions. Changes included a "secure by design, secure by default, and secure in deployment" strategy designed to protect the server instance and its databases from security attacks.

SQL Server 2008 continues the security hardening process by introducing more changes to the server and database components. The changes introduced in SQL Server 2008 further decrease the surface and attack areas for the server and its databases by instituting a policy of least privileges and increases separation of Windows administration and SQL Server administration. This means that internal accounts are protected and separated into operating system functions and SQL Server functions. These measures include:

  • New SQL Server 2008 installations no longer add the local Windows Group BUILTIN\Administrators to the SQL Server sysadmin fixed server role.

  • The ability to provision one or more Windows principals into the sysadmin server role inside SQL Server. This option is available during SQL Server Setup for new installations of SQL Server 2008.

  • The Surface Area Configuration (SAC) tool has been removed, and replaced by policy-based management and changes in the SQL Server Configuration Manager tool.

These changes will affect your security planning for SQL Server, and help you create a more complete security profile for your system.

Considerations for Running SQL Server 2008 on Windows Vista and Windows Server 2008

Windows Vista and Windows Server 2008 include a new feature, User Account Control (UAC), that helps administrators manage their use of elevated permissions. By default, on Windows Vista and Windows Server 2008, administrators do not use their administrative rights. Instead, they perform most actions as standard users, temporarily assuming their administrative rights only when it is necessary. However, instead of elevating privileges, we recommend one of the following options:

  • If you are using Windows authentication mode, you should create a Windows user account that has sufficient permissions to perform all necessary administrative tasks.

  • If you are using Mixed Mode (SQL Server authentication and Windows authentication), you might consider creating a SQL Server login account that is used for administrative purposes only.

UAC causes some known issues. For more information, see the following Web pages:

  • Considerations for Running SQL Server 2005 on Windows Vista

  • User Account Control

Options

Security Mode - Select Windows Authentication or Mixed Mode Authentication for your installation.

Windows Principal Provisioning - In previous versions of SQL Server, the Windows BUILTIN\Administrators local group was placed into the SQL Server sysadmin server role, effectively granting Windows administrators access to the instance of SQL Server. In SQL Server 2008, the BUILTIN\Administrators group is not provisioned in the sysadmin server role. Instead, you should explicitly provision SQL Server administrators for new installations during Setup.

Important:
If your organization’s processes or code depend on Windows BUILTIN\Administrators local group access, you must explicitly provision SQL Server administrators for new installations during Setup. Setup will not allow you to continue until you complete this step.

Specify SQL Server Administrators - You must specify at least one Windows principal for the instance of SQL Server. To add the account under which SQL Server Setup is running, click the Current User button. To add or remove accounts from the list of system administrators, click Add or Remove, and then edit the list of users, groups, or computers that will have administrator privileges for the instance of SQL Server.

When you are finished editing the list, click OK, then verify the list of administrators in the configuration dialog. When the list is complete, click Next.

If you select Mixed Mode Authentication, you must provide logon credentials for the built-in SQL Server system administrator (sa) account.

Security Note:
Do not use a blank password. Use a strong password.

Windows Authentication Mode

When a user connects through a Windows user account, SQL Server validates the account name and password using the Windows principal token in the operating system. This is the default authentication mode, and is much more secure than Mixed Mode. Windows Authentication utilizes Kerberos security protocol, provides password policy enforcement in terms of complexity validation for strong passwords, provides support for account lockout, and supports password expiration.

Security Note:
When possible, use Windows Authentication.

Important:
Do not use a blank password. Use a strong password. Never set a blank or weak sa password.

Mixed Mode (Windows Authentication or SQL Server Authentication)

Allows users to connect by using Windows Authentication or SQL Server Authentication. Users who connect through a Windows user account can use trusted connections that are validated by Windows.

If you must choose Mixed Mode Authentication and you have a requirement for using SQL logins to accommodate legacy applications, you must set strong passwords for all SQL Server accounts.

Note:
SQL Server Authentication is provided for backward compatibility only. When possible, use Windows Authentication.

Enter Password

Enter and confirm the system administrator (sa) login. Passwords are the first line of defense against intruders, so setting strong passwords is essential to the security of your system. Never set a blank or weak sa password.

Note:
SQL Server passwords can contain from 1 to 128 characters, including any combination of letters, symbols, and numbers. If you choose Mixed Mode authentication, you must enter a strong sa password before you can continue to the next page of the Installation Wizard.

Strong Password Guidelines

Strong passwords are not readily guessed by a person, and are not easily hacked using a computer program. Strong passwords cannot use prohibited conditions or terms, including:

  • A blank or NULL condition

  • "Password"

  • "Admin"

  • "Administrator"

  • "sa"

  • "sysadmin"

A strong password cannot be the following terms associated with the installation computer:

  • The name of the user currently logged onto the machine.

  • The computer name.

A strong password must be more than 8 characters in length and satisfy at least three of the following four criteria:

  • It must contain uppercase letters.

  • It must contain lowercase letters.

  • It must contain numbers.

  • It must contain non-alphanumeric characters; for example, #, %, or ^.

Passwords entered on this page must meet strong password policy requirements. If you have any automation that uses SQL Server Authentication, ensure that the password meets strong password policy requirements.

See Also

Other Resources

Setting Up Windows Service Accounts

© 2010 Microsoft Corporation. All rights reserved.


Database Engine Configuration - Data Directories

Database Engine Configuration - Data Directories |
 | See Also
SQL Server Setup User Interface Reference >

The following table lists the default directories that are user-configurable during SQL Server Setup:

Description | Default directory | Recommendations
Data root directory | C:\Program Files\Microsoft SQL Server\ | SQL Server Setup will configure ACLs for SQL Server directories and break inheritance as part of configuration.
User database directory | C:\Program Files\Microsoft SQL Server\MSSQL10_50.<InstanceID>\Data | Best practices for user data directories depend on workload and performance requirements. For failover cluster installations, ensure that data directories are placed on the shared disk.
User database log directory | C:\Program Files\Microsoft SQL Server\MSSQL10_50.<InstanceID>\Data | Ensure that the log directory has adequate space.
Temp DB directory | C:\Program Files\Microsoft SQL Server\MSSQL10_50.<InstanceID>\Data | Best practices for the Temp directory depend on workload and performance requirements.
Temp DB log directory | C:\Program Files\Microsoft SQL Server\MSSQL10_50.<InstanceID>\Data | Ensure that the log directory has adequate space.
Backup directory | C:\Program Files\Microsoft SQL Server\MSSQL10_50.<InstanceID>\Backup | Set appropriate permissions to prevent data loss, and ensure that the user group for the SQL Server service has adequate permissions to write to the backup directory. Using a mapped drive for backup directories is not supported.

Notes

  • When adding features to an existing installation, you cannot change the location of a previously installed feature, nor can you specify the location for a new feature.

  • If you specify non-default installation directories, ensure that the installation folders are unique to this instance of SQL Server. None of the directories in this dialog box should be shared with directories from other instances of SQL Server.

  • Program files and data files cannot be installed in the following situations:

    • On a removable disk drive

    • On a file system that uses compression

    • To a directory where system files are located

    • On shared drives on a failover cluster instance

See Also

Concepts

File Locations for Default and Named Instances of SQL Server


Database Engine Configuration - Filestream

Database Engine Configuration - Filestream |
 | See Also
SQL Server Setup User Interface Reference >

Use this page to enable FILESTREAM for this installation of SQL Server 2008. FILESTREAM integrates the SQL Server Database Engine with an NTFS file system by storing varbinary(max) binary large object (BLOB) data as files on the file system. Transact-SQL statements can insert, update, query, search, and back up FILESTREAM data. Win32 file system interfaces provide streaming access to the data.

Enable FILESTREAM for Transact-SQL access

Select to enable FILESTREAM for Transact-SQL access. This control must be checked before the other control options will be available.

Enable FILESTREAM for file I/O streaming access

Select to enable Win32 streaming access for FILESTREAM.

Windows share name

Use this control to enter the name of the Windows share in which the FILESTREAM data will be stored.

Allow remote clients to have streaming access to FILESTREAM data

Select this control to allow remote clients to access this FILESTREAM data on this server.

See Also

Other Resources

Getting Started with FILESTREAM Storage
sp_configure (Transact-SQL)


Database Engine Configuration - User Instance

Database Engine Configuration - User Instance
SQL Server Setup User Interface Reference >

Use the User Instance page to generate a separate instance of the Database Engine for users without administrator permissions, and to add users to the administrator role.

Option

Enable User Instances

Default is on. To disable the functionality of enabling user instances, clear the check box.

The user instance, also known as a child or client instance, is an instance of SQL Server that is generated by the parent instance (the primary instance that runs as a service, like SQLExpress) on behalf of a user. The user instance runs as a user process under the security context of that user. The user instance is isolated from the parent instance and any other user instances running on the computer. The user instance feature is also referred to as “Run As Normal User” (RANU).

Add User to the SQL Server Administrator role

Default is not on. To add the current setup user to the SQL Server Administrator role, select the check box.

Windows Vista users that are members of BUILTIN\Administrators are not automatically added to the sysadmin fixed server role when they connect to SQL Server Express. Only Windows Vista users that have been explicitly added to a server-level administrator role can administer SQL Server Express. Any member of the Built-In\Users group can connect to the SQL Server Express instance, but they will have limited permissions to perform database tasks. For this reason, users whose SQL Server Express privileges are inherited from BUILTIN\Administrators and Built-In\Users in previous releases of Windows must be explicitly granted administrative privileges in instances of SQL Server Express running on Windows Vista.

To make any changes to the user roles after this installation program ends, use the SQL Server 2005 Surface Are Configuration Tool (SQLSAC.exe). To update the list of users in the SQL Server System Administrator role, click the Add New Administrator link.

Ensure that the User to provision field lists the DomainName\UserName of the user whose permissions should be updated. Select the role to be updated from the list of SQL Server instances in the Available privileges pane, and then click the right arrow. To add the user to all available roles for all available instances of SQL Server instances and all available roles, click the double right arrow.

To implement the changes when your selections are complete, click OK. To end the tool without making changes, click Cancel.


Disk Space Requirements

Disk Space Requirements |
 | See Also
SQL Server Setup User Interface Reference >

Use the Disk Cost Summary page to examine disk space requirements for the SQL Server features that you selected for your installation.

Options

If required disk space is too high, consider the following options:

  • Change installation directories to a drive with more disk space.

  • Change the SQL Server features for your installation.

  • Create more free space on the specified drive by moving other files or applications.

See Also

Other Resources

Hardware and Software Requirements for Installing SQL Server 2008 R2


Edition Upgrade Rules

Edition Upgrade Rules |
 | See Also
SQL Server Setup User Interface Reference >

The following rules are used by SQL Server Setup to validate your computer configuration before the Setup operation finishes.

Check item | Description | User action
Engine_OnlySupportedFeaturesUsedCheckSystem | Checks the system databases for features that are not supported in the SQL Server edition to which you are upgrading. | Turn off any features used in system databases that are not available in the SQL Server edition to which you are upgrading.
Engine_OnlySupportedFeaturesUsedCheckUser | Checks all user databases for features that are not supported by the SQL Server edition. | Turn off any features used in system databases that are not available in the SQL Server edition to which you are upgrading.
Engine_SqlEngineRestartCheck | Checks whether the SQL Server service can be restarted. | Identify and correct the issue that is preventing the SQL Server service from coming online.
Engine_SqlServerServiceDisabled_Id | Checks that SQL Server service is not set to Disabled. | Set the startup type for the SQL Server service to Manual or Automatic.
FacetDomainControllerCheck | Checks whether the computer is a domain controller. Installing SQL Server 2008 R2 on a domain controller is not recommended. | Ensure that this computer is not a domain controller. For more information, see Security Considerations for a SQL Server Installation.
FacetPowerShellCheck | Checks whether Windows PowerShell is installed. Windows PowerShell is a pre-requisite for some SQL Server 2008 R2 editions. | For installations of SQL Server 2008 R2 Express with Advanced Services, ensure that Windows PowerShell is installed.
PerfMonCounterNotCorruptedCheck | Checks if the existing performance counter registry hive is consistent. | Ensure that the performance counter registry hive is consistent.
EditionUpgradeMatrixCheck | Checks whether the selected instance of SQL Server meets upgrade matrix requirements. | Some edition upgrade scenarios are not supported. For more information, see Version and Edition Upgrades.
AS_ValidateEditionUpgrade | Checks whether Analysis Services is being upgraded to a valid edition. | Some edition upgrade scenarios are not supported. For more information, see Version and Edition Upgrades.
Cluster_EditionDownGradeCheck | Checks whether the edition of the selected instance of SQL Server is supported in this scenario. | Some edition upgrade scenarios are not supported. For more information, see Version and Edition Upgrades.
BlockMixedArchitectureUpgrade | Checks whether the CPU architecture of features you are trying to upgrade is different than the CPU architecture of this installation program. | Some cross-platform upgrade scenarios are not supported. For more information, see Version and Edition Upgrades.
EditionDownGradeCheck | Checks whether the edition of the selected instance of SQL Server is supported in this scenario. | Some edition upgrade scenarios are not supported. For more information, see Version and Edition Upgrades.

See Also

Reference

Setup Support Rules

© 2010 Microsoft Corporation. All rights reserved.


Error Reporting

Error Reporting
SQL Server Setup User Interface Reference >

Use the Error Reporting page of the SQL Server Installation Wizard to enable feature error reporting functionality for SQL Server.

Options

By default, the Error Reporting features are disabled for SQL Server and its components in SQL Server 2008 R2.

Error Reporting

If you enable the Error Reporting feature, SQL Server is configured to send a report to Microsoft automatically if a fatal error occurs in any of the following SQL Server components:

  • The Database Engine

  • SQL Server Agent

  • Analysis Services

  • Reporting Services

  • Integration Services

  • Replication

Microsoft uses error reports to improve SQL Server functionality and treats all information as confidential.

Information about errors is sent over a secure (https) connection to Microsoft, where it is stored with limited access. Alternatively, error reports can be sent to your own Corporate Error Reporting server.

Error reports contain the following information:

  • The condition of SQL Server when the problem occurred.

  • The operating system version and computer hardware information.

  • Your Digital Product ID, which is not used to identify your license.

  • The network IP address of your computer or proxy server.

  • Information from memory or file(s) of the process that caused the error.

Microsoft does not intentionally collect your files, name, address, e-mail address, or any other form of personal information. The error report can, however, contain personal information from the memory or files of the process that caused the error. Although this information can potentially be used to determine your identity, Microsoft does not use this information for that purpose.

For more information about the SQL Server privacy and data collection policy, see Microsoft SQL Server Privacy Statement.

If you enable Error Reporting and a fatal error occurs, you might see a response from Microsoft in the Windows Event log that points to a Microsoft Knowledge Base article on a particular error.

To disable Error reporting for all instances of SQL Server and its components after Setup completes, go to the Error and Usage Reporting tool and clear the check boxes for Error Reporting. If Error Reporting is enabled for multiple components of SQL Server (the SQL Server Database Engine, Analysis Services, Reporting Services, and shared components) you can disable Error Reporting for each instance of an individual component as well as shared components, listed as Others.


Failover cluster report

Failover cluster report
SQL Server Setup User Interface Reference >

Use the Failover Cluster Report page to view report results from the Setup system scan for this operation.

Options

To view a detailed report for the scan, click the report link.


Feature Review

Feature Review
SQL Server Setup User Interface Reference >

The Feature Review page is a read-only list of features that have been prepared and will be configured and completed at the end of the complete image step. The feature list is selected during the prepare image step and cannot be modified during complete image step. In addition to the features displayed, a prepared instance also includes SQL Server Browser, SQL Server Writer, and SQL Server Native Client.

You can add other features not included in the prepared instance of the SQL Server instance after you have completed the configuration of the prepared instance of SQL Server.

Component Group

Components and features

Database Engine Services

The SQL Server Database Engine includes the following components:

  • The Database Engine is the core service for storing, processing, and securing data.

    • Replication: (Optional) Replication is a set of technologies for copying and distributing data and database objects from one database to another and then synchronizing between databases to maintain consistency.

    • Full-Text Search: (Optional) Full-Text Search provides functionality to issue full-text queries against plain character-based data in SQL Server tables.

Reporting Services

Reporting Services includes server and client components for creating, managing, and deploying tabular, matrix, graphical, and free-form reports. Reporting Services is also an extensible platform that you can use to develop report applications.


Setup Role

Setup Role |
 | See Also
SQL Server Setup User Interface Reference >

Use this page to specify whether to use the Feature Selection page to select individual features, or to install using a setup role.

A setup role is a fixed selection of all the features and shared components that are required to implement a predefined SQL Server configuration.

Options

SQL Server Feature Installation

Choose this option to select individual features and shared components. Features include Database Engine Services, Analysis Services (native mode), Reporting Services, and Service Broker.

SQL Server PowerPivot for SharePoint

Choose this option to install Analysis Services server components in a SharePoint 2010 farm. This option deploys the PowerPivot System Service and the Analysis Services service in a farm, enabling query and data processing for published Excel workbooks that contain embedded PowerPivot data.

There are two configuration options for PowerPivot for SharePoint:

  • Existing Farm adds PowerPivot for SharePoint to a farm or standalone server that is already configured.

  • New Server is used to deploy PowerPivot for SharePoint in the fewest steps possible. This role requires that you have SharePoint server installed but not configured. SQL Server Setup will configure SharePoint for you and create a Web application, site collection, and a server configuration that is optimized for PowerPivot features.

For this role, Setup does the following:

  • Provisions the Analysis Services service instance.

  • Installs program files on a SharePoint application server.

  • Deploys two PowerPivot solution packages that add application files to Web front end servers.

  • (New Server only) Adds Database Engine Services to the installation and uses it as the database server for the farm.

  • (New Server only) Adds SQL Server Management Studio, configuration tools, and performance tools.

  • (New Server only) Creates a PowerPivot service application and application database.

A role-based installation does not include the SQL Server PowerPivot for Excel client application. The client application is installed separately.

All Features With Defaults

Choose this setup role to install all features that are available for this release. Note that PowerPivot for SharePoint is excluded from this role. You must use the PowerPivot for SharePoint setup role to install that feature.

The Database Engine is configured to start using the NT AUTHORITY\NETWORK SERVICE account. The current user will be provisioned as a member of the SQL Server sysadmin role. Values set by this option can be overridden by specifying additional command line parameters.

On Windows Vista or Windows Server 2008 or higher and when the operating system is not a domain controller, by default the Database Engine and Reporting Services will use the NTAUTHORITY\NETWORK SERVICE account, Integration Services will use the NTAUTHORITY\NETWORK SERVICE account, and the SQL Full text Filter Daemon Launcher will use the NTAUTHORITY\LOCAL SERVICE account.

See Also

Reference

Feature Selection
New SharePoint Farm Configuration

Other Resources

Installation (Analysis Services SharePoint integration)
Hardware and Software Requirements
How to: Install Analysis Services on a Standalone SharePoint Server


Feature Selection

Feature Selection |
 | See Also
SQL Server Setup User Interface Reference >

Use the check boxes on the Feature Selection page of the SQL Server Installation wizard to select components for your SQL Server installation.

Options

A description for each component group appears in the Description pane when you select it. You can select any combination of check boxes. To continue, you must make a selection.

SQL Server SysPrep: The Database Engine and Reporting Services are the only SQL Server 2008 R2 features that support SQL Server SysPrep. You can select these features and components during the prepare image step of the process. You cannot make the selection while completing a prepared image of SQL Server. For more information, see How to: Install SQL Server 2008 R2 using SysPrep.

SQL Server Failover Clusters: The Database Engine and Analysis Services components are the only SQL Server 2008 R2 features that support failover clustering. You can install other components, like Reporting Services or Integration Services, on a failover cluster node, but they are not cluster-aware, and their services do not fail over if the failover cluster node goes offline. For more information, see Getting Started with SQL Server Failover Clustering.

Component group Components and features

Database Engine Services

The SQL Server Database Engine includes the following components:

  • The Database Engine is the core service for storing, processing, and securing data.

    • Replication: Optional: Replication is a set of technologies for copying and distributing data and database objects from one database to another and then synchronizing between databases to maintain consistency.

SQL Server Failover Clusters: Replication is required and automatically selected by Setup for SQL Server failover clustering installations when you select Database Engine Services.

  • Full-Text Search: Optional: Full-Text Search provides functionality to issue full-text queries against plain character-based data in SQL Server tables.

SQL Server Failover Clusters: Full-Text Search is required and automatically selected by Setup for SQL Server failover clustering installations when you select Database Engine Services.

  • Tools for managing relational and XML data.

Analysis Services

Analysis Services includes the tools for creating and managing online analytical processing (OLAP) and data mining applications.

Reporting Services 2,3

Reporting Services includes server and client components for creating, managing, and deploying tabular, matrix, graphical, and free-form reports. Reporting Services is also an extensible platform that you can use to develop report applications.

Integration Services

Integration Services is a set of graphical tools and programmable objects for moving, copying, and transforming data.

Shared Features:

  • Client Tools

  • SQL Server Books Online

  • Business Intelligence Development Studio 4,5

  • Integration Services

Client Tools includes components for communication between clients and servers, including network libraries for DB-Library, OLEDB for OLAP, ODBC, ADODB, and ADOMD+, and the following SQL Server Management Tools:

  • SQL Server Management Studio (SSMS) is an integrated environment for accessing, configuring, managing, administering, and developing all components of SQL Server. SSMS combines the features of Enterprise Manager, Query Analyzer, and Analysis Manager, included in previous releases of SQL Server, into a single environment that provides SQL Server access to developers and administrators of all skill levels.

  • SQL Server Configuration Manager provides basic configuration management for SQL Server services, server protocols, client protocols, and client aliases.

  • SQL Server Profiler provides a graphical user interface for monitoring an instance of the Database Engine or an instance of Analysis Services.

  • Database Engine Tuning Advisor helps create optimal sets of indexes, indexed views, and partitions.

  • Replication Monitor allows you to track the status and performance of publications and subscriptions across a replication topology.

  • SQLXML Client Features

  • SQL Server Books Online is the core documentation for SQL Server.

Business Intelligence Development Studio is an integrated development environment for Analysis Services, Reporting Services, and Integration Services solutions.

Integration Services is a set of graphical tools and programmable objects for moving, copying, and transforming data.

Client Tools Backward Compatibility

Client Tools Backward Compatibility includes the following components:

  • SQL Distributed Management Objects (SQL-DMO). For more information, see Discontinued SQL Server Features in SQL Server 2008 R2.

  • Decision Support Objects (DSO). For more information, see Breaking Changes to Analysis Services Features in SQL Server 2008 R2.

  • Data Transformation Services (DTS). For more information, see Deprecated Integration Services Features in SQL Server 2008 R2.

1Setup does not configure load-balancing and single-URL addressing for multiple nodes in a Reporting Services scale-out deployment. To complete a scale-out deployment, you must use Windows Server, Microsoft Application Center, or third-party cluster management software. For more information about setting up Web farm deployment, see Configuring Reporting Services for Scale-Out Deployment.

2 Microsoft Internet Explorer 6.0 SP 1 is required for the Report Designer component of Reporting Services.

3 Reporting Services is not supported in side-by-side configurations on the 64-bit platform and on the 32-bit subsystem (WOW64) of a 64-bit server at the same time.

4Internet Explorer 6.0 SP1 is required for SQL Server Management Studio installations.

5Internet Explorer 6.0 SP1 is required for Business Intelligence Development Studio installations.

Shared Component Directory

Features shared by all instances of SQL Server on a single computer are installed to a single directory. They include the following:

  • Client Tools

  • SQL Server Books Online

  • Business Intelligence Development Studio

  • Integration Services

By default, shared components are installed to %Program Files%Microsoft SQL Server\. To change the installation path, click the Browse button. If you change the installation path for one shared component, you also change it for other shared components. Subsequent installations will install shared components to the same location as the original installation.

On x64-based operating systems, you can specify where 64-bit components will be installed, and where on the WOW64 subsystem 32-bit components will be installed.

Installing Sample Databases and Samples

By default, sample databases and sample code are not installed as part of SQL Server Setup. For more information about installing sample databases and sample code, see the CodePlex Web site.

Additional information about samples is available after SQL Server 2008 R2 has been installed. From the Start menu, click All Programs, click Microsoft SQL Server 2008 R2, click Documentation and Tutorials, and then click Microsoft SQL Server Samples Overview.

See Also

Other Resources

Editions and Components of SQL Server 2008 R2


Feature Selection (Uninstall)

Feature Selection (Uninstall)
SQL Server Setup User Interface Reference >

Use the Feature Selection — Uninstall page to select features to remove from the specified instance of SQL Server.

Options

You can select any combination of features.


Features to Upgrade

Features to Upgrade |
 | See Also
SQL Server Setup User Interface Reference >

Use the Features to Upgrade page of the SQL Server 2008 Installation Wizard to specify the features to be upgraded to SQL Server 2008.

Options

  • It is not possible to change the features to be upgraded in this release.

See Also

Other Resources

Version and Edition Upgrades
Using Upgrade Advisor to Prepare for Upgrades
Working with Multiple Versions of SQL Server


Full-Text Search Upgrade Options

Full-Text Search Upgrade Options |
 | See Also
SQL Server Setup User Interface Reference >

Use the Full-Text Search Upgrade Options page of the SQL Server Installation Wizard to select the full-text search upgrade option to use for the databases that you are upgrading at this time.

In SQL Server 2005 and earlier versions, each full-text index resides in a full-text catalog that belongs to a filegroup, has a physical path, and is treated as a database file. Beginning with SQL Server 2008, a full-text catalog is a logical concept—a virtual object—that refers to a group of full-text indexes. Therefore, a new full-text catalog is not treated as a database file with a physical path. However, during upgrade of any full-text catalog that contains data files, a new filegroup is created on same disk. This maintains the old disk I/O behavior after upgrade. Any full-text index from that catalog is placed in the new filegroup if the root path exists. If the old full-text catalog path is invalid, the upgrade keeps the full-text index in the same filegroup as base table or, for a partitioned table, in the primary filegroup.

Options

When you upgrade to SQL Server 2008 R2, choose one of the following full-text upgrade options.

Import

Full-text catalogs are imported. Typically, import is significantly faster than rebuild. For example, when using only one CPU, import runs about 10 times faster than rebuild. However, an imported full-text catalog does not use the new and enhanced word breakers introduced in SQL Server 2008, so you might want to rebuild your full-text catalogs eventually.

Note:
Rebuild can run in multi-threaded mode, and if more than 10 CPUs are available, rebuild might run faster than import if you allow rebuild to use all of the CPUs.

If a full-text catalog is not available, the associated full-text indexes are rebuilt. This option is available for only SQL Server 2005 databases.

For information about the impact of importing full-text index, see "Considerations for Choosing a Full-Text Upgrade Option," later in this topic.

Rebuild

Full-text catalogs are rebuilt using the new and enhanced word breakers. Rebuilding indexes can take awhile, and a significant amount of CPU and memory might be required after the upgrade.

Reset

Full-text catalogs are reset. SQL Server 2005 full-text catalog files are removed, but the metadata for full-text catalogs and full-text indexes is retained. After being upgraded, all full-text indexes are disabled for change tracking and crawls are not started automatically. The catalog will remain empty until you manually issue a full population, after the upgrade completes.

All of these upgrade options ensure that upgraded databases benefit fully from the full-text performance enhancements of SQL Server 2008.

Important:
For information about using new word breakers and upgrading noise-word files to stoplists after importing a SQL Server 2005 full-text index, see Full-Text Search Upgrade.

Considerations for Choosing a Full-Text Upgrade Option

When choosing the upgrade option for your upgrade, consider the following:

  • How do you use word breakers?

    Beginning with SQL Server 2008, the full-text search service includes new word breakers and stemmers. These might change the results of full-text queries from previous releases for a specific text pattern or scenario. Therefore, how you use word breakers is important when choosing a suitable upgrade option:

    • If the word breakers of the full-text language you use did not change in SQL Server 2008, or if recall accuracy is not critical to you, importing is suitable. Later, if you experience any recall issues, you can upgrade to the new word breakers simply by rebuilding your full-text catalogs. For more information, see Full-Text Search Upgrade.

    • If you care about recall accuracy and you use one of the word breakers that were improved in SQL Server 2008, rebuilding is suitable.

  • Were any full-text indexes built on integer full-text key columns?

    Rebuilding performs internal optimizations that improve the query performance of the upgraded full-text index in some cases. Specifically, if you have full-text catalogs that contain full-text indexes for which the full-text key column of the base table is an integer data type, rebuilding achieves ideal performance of full-text queries after upgrade. In this case, we highly recommend you to use the Rebuild option.

    Note:
    For full-text indexes in SQL Server 2008 R2, we recommend that the column serving as the full-text key be an integer data type. For more information, see Performance Tuning and Optimization (Full-Text Search).

  • What is the priority for getting your server instance online?

    Importing or rebuilding during upgrade takes a lot of CPU resources, which delays getting the rest of the server instance upgraded and online. If getting the server instance online as soon as possible is important and if you are willing to run a manual population after the upgrade, Reset is suitable.

Additional Resources

Breaking Changes to Full-Text Search in SQL Server 2008

Behavior Changes to Full-Text Search in SQL Server 2008

Deprecated Database Engine Features in SQL Server 2008

Inquiring About the Full-Text Key Column

Word Breakers and Stemmers

See Also

Other Resources

How to: Install SQL Server 2008 R2 (Setup)


Installation Prerequisites

Installation Prerequisites
SQL Server Setup User Interface Reference >

For SQL Server to install successfully, the following software components are required on the installation computer. They will be installed by SQL Server Setup:

  • .NET Framework version 2.0 SP2 for SQL Server Express

  • .NET Framework version 3.5 SP1 for SQL Server Express with Tools and SQL Server Express Advanced

  • .NET Framework version 2.0 SP2 for SQL Server 2008 on Windows Server 2003 (64-bit) IA64 SP1

  • .NET Framework version 3.5 SP1 for all other editions of SQL Server 2008

  • SQL Server Setup support files

  • SQL Server Native Client

Note:
These components are not removed if Setup fails or is canceled. To remove them, use Add or Remove Programs in Control Panel.

Note:
Installing .NET Framework 2.0 SP2: .NET Framework 2.0 SP2 is not available as a separate download. You will need to install .NET Framework 3.5 SP1 which includes .NET Framework 2.0 SP2.

Options

To install the prerequisite files, click Install. To quit the installation, click Cancel.


Installation Progress

Installation Progress |
 | See Also
SQL Server Setup User Interface Reference >

Use the Installation Progress page of the SQL Server Installation Wizard to monitor the status of SQL Server Setup.

See Also

Concepts

How to: View and Read SQL Server Setup Log Files


Installation Rules

Installation Rules |
 | See Also
SQL Server Setup User Interface Reference >

SQL Server Setup validates your computer configuration before the Setup operation completes. The following table describes check parameters for the System Configuration Checker and resolution to blocking issues.

Check item | Description | User action
RebootRequiredCheck | Checks if a pending computer restart is required. A pending restart can cause Setup to fail. | A computer restart is required. You must restart this computer before installing SQL Server.
OsVersionCheck | Checks whether the computer meets minimum operating system version requirements. | The operating system must meet the minimum requirements for this product. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
ThreadHasAdminPrivilegeCheck | Checks whether the account that is running SQL Server Setup has administrative privileges on the computer. | Ensure that the account running SQL Server Setup has administrative privileges on the computer.
WmiServiceStateCheck | Checks whether the WMI service is started and running on the computer. | The WMI service must be running.
SSMS_IsInternetConnected | Checks to see if the computer is connected to the Internet. SQL Server Management Tools based on .NET Framework technology must check the certificate revocation list on startup. | Ensure that the computer is connected to the Internet.
FacetDomainControllerCheck | Checks whether the computer is a domain controller. Installing SQL Server on a domain controller is not recommended. | Ensure that this computer is not a domain controller. For more information, see Security Considerations for a SQL Server Installation.
FacetPowerShellCheck | Checks whether Windows PowerShell is installed. Windows PowerShell is a pre-requisite of SQL Server Express with Advanced Services. | For installations of SQL Server Express with Advanced Services, ensure that Windows PowerShell is installed.
FacetWOW64PlatformCheck | Determine if the setup program is supported on operating system platform. | This rule will block unsupported installations on the 64-bit platform. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
PerfMonCounterNotCorruptedCheck | Checks if the existing performance counter registry hive is consistent. | Ensure that the performance counter registry hive is consistent.
SqlUnsupportedProductBlocker | Checks whether SQL Server 7.0 or SQL Server 7.0 OLAP Services is installed. SQL Server 2008 R2 is not supported side-by-side with SQL Server 7.0. | Remove SQL Server 7.0 or install SQL Server 2008 R2 on a different computer.
BlockCrossLanguageInstall | Checks whether the Setup language is the same as the language of existing SQL Server features. | You must upgrade SQL Server by using the same language version as the existing instance of SQL Server.
BlockMixedArchitectureInstall | Checks whether the installing features are the same CPU architecture as the specified instance. | You must install or upgrade by using SQL Server installation media that matches the architecture of the instance of SQL Server that you are modifying.
RS_DoesCatalogExist | Checks whether the catalog database file exists. | Rename, move, or delete the files.
RS_DoesCatalogTempDBExist | Checks whether the catalog temporary database file exists. | Rename, move, or delete the files.
StandaloneInstall_HasClusteredOrPreparedInstanceCheck | Checks if the selected instance name is already used by an existing cluster-prepared or clustered instance on any cluster node. | You cannot use the selected instance name because it is already in use. Specify a different SQL Server instance name.
Previous releases of Microsoft Visual Studio 2008 | Checks for previous releases of Visual Studio 2008 or if it has already been upgraded to SP1. | You must upgrade to Visual Studio 2008 SP1 before installing SQL Server 2008 R2.

See Also

Reference

Setup Support Rules

© 2010 Microsoft Corporation. All rights reserved.


Installation Type

Installation Type
SQL Server Setup User Interface Reference >

Use the Installation Type page of the SQL Server Installation Wizard to specify whether to install a new instance of SQL Server 2008, or add features to an existing instance.

Options

Select the radio button that specifies your choice:

  • Perform a new installation of SQL Server 2008

  • Add features to an existing instance of SQL Server 2008

    If you select the option to add features to an existing instance, use the drop-down list to select the instance of SQL Server to update.

You can only add the SysPrep supported features—Database Engine and Reporting Services—to a prepared image of SQL Server. Other features that are not supported by SysPrep can be added after the prepared instance is completed.

Note You cannot add features to a failover cluster instance after it is installed. To add SQL Server features to an existing failover cluster, you must perform a new installation to install a separate instance of SQL Server.


Instance Configuration

Instance Configuration
SQL Server Setup User Interface Reference >

Use the Instance Configuration page of the SQL Server Installation Wizard to specify whether to create a default instance or a named instance of SQL Server. If an instance of SQL Server is not already installed, a default instance will be created unless you specify a named instance.

Each instance of SQL Server consists of a distinct set of services that have specific settings for collations and other options. The directory structure, registry structure, and service names all reflect the instance name and a specific instance ID created during SQL Server Setup.

An instance is either the default instance or a named instance. The default instance name is MSSQLSERVER. It does not require a client to specify the name of the instance to make a connection. A named instance is determined by the user during Setup. You can install SQL Server as a named instance without installing the default instance first. The default instance could be an installation of SQL Server 2000, SQL Server 2005, SQL Server 2008, or SQL Server 2008 R2. Only one installation of SQL Server, regardless of version, can be the default instance at one time.

Note:
With SQL Server SysPrep, you can specify the instance name when you complete a prepared instance on the Instance Configuration page. You can choose to configure the prepared instance you are completing as a default instance if there is no existing default instance of SQL Server on the machine. For more information, see How to Install SQL Server Using SysPrep.

Multiple Instances

SQL Server supports multiple instances of SQL Server on a single server or processor, but only one instance can be the default instance. All others must be named instances. A computer can run multiple instances of SQL Server concurrently, and each instance runs independently of other instances.

For more information, see Maximum Capacity Specifications for SQL Server.

Options

Failover cluster instances only — Specify the SQL Server failover cluster network name. This name identifies the failover cluster instance on the network.

Default or Named instance — Consider the following information when you decide whether to install a default or named instance of SQL Server:

  • If you plan to install a single instance of SQL Server on a database server, it should be a default instance.

  • Use a named instance for situations where you plan to have multiple instances on the same computer. A server can host only one default instance.

  • Any application that installs SQL Server Express should install it as a named instance. This will minimizes conflict when multiple applications are installed on the same computer.

Default instance

Select this option to install a default instance of SQL Server. A computer can host only one default instance; all other instances must be named. However, if you have a default instance of SQL Server installed, you can add a default instance of Analysis Services to the same computer.

Named instance

Select this option to create a new named instance. Be aware of the following when you name an instance of SQL Server:

  • Instance names are not case sensitive.

  • Instance names cannot contain the term "Default" or other reserved keywords. If a reserved keyword is used in an instance name, a Setup error will occur. For more information, see Reserved Keywords (Setup).

  • If you specify MSSQLServer for the instance name, a default instance will be created. For SQL Server Express, if you specify SQLExpress for the instance name, a default instance will be created.

  • An installation of Microsoft SQL Server PowerPivot for SharePoint is always installed as a named instance of 'PowerPivot'. You cannot specify a different instance name for this feature role.

  • Instance names are limited to 16 characters.

  • The first character in the instance name must be a letter. Acceptable letters are those defined by the Unicode Standard 2.0. These include Latin characters a-z, A-Z, and letter characters from other languages.

  • Subsequent characters can be letters defined by the Unicode Standard 2.0, decimal numbers from Basic Latin or other national scripts, the dollar sign ($), or an underscore (_).

  • Embedded spaces or other special characters are not allowed in instance names. The backslash (\), comma (,), colon (:), semi-colon (;), single quote ('), ampersand (&), and at sign (@) are also not allowed.

    Note:
    Only characters that are valid in the current Windows code page can be used in SQL Server instance names. If an unsupported Unicode character is used, a Setup error will occur.

Detected instances and features

View a list of installed SQL Server instances and components on the computer where SQL Server Setup is running.

Instance ID - By default, the instance name is used as the Instance ID. This is used to identify installation directories and registry keys for your instance of SQL Server. This is the case for default instances and named instances. For a default instance, the instance name and instance ID would be MSSQLSERVER. To use a non-default instance ID, specify it in the Instance ID field.

Important:
With SQL Server SysPrep, the Instance ID displayed on this page is the Instance ID specified during the prepare image step of the SQL Server SysPrep process. You will not be able to specify a different Instance ID during the complete image step.

Note:
Instance IDs that begin with an underscore (_) or that contain the number sign (#) or the dollar sign ($) are not supported.

For more information about directories, file locations, and instance ID naming, see File Locations for Default and Named Instances of SQL Server.

Instance root directory - By default, the instance root directory is C:\Program Files\Microsoft SQL Server\. To specify a non-default root directory, click the Browse button, or provide a path name.

All components of a given instance of SQL Server are managed as a unit. All SQL Server service packs and upgrades will apply to every component of an instance of SQL Server.

All components of SQL Server that share the same instance name must meet the following criteria:

  • Same version

  • Same edition

  • Same language settings

  • Same clustered state

    Note:
    Reporting Services is not cluster-aware.

  • Same operating system


Instance Selection (Uninstall)

Instance Selection (Uninstall)
SQL Server Setup User Interface Reference >

On the Instance Selection — Uninstall page, use the drop-down box to specify the instance of SQL Server to uninstall.

Options

You can specify an entire instance of SQL Server, or you can specify that only the shared features and Management Tools are uninstalled.


Instance Selection (Upgrade)

Instance Selection (Upgrade)
SQL Server Setup User Interface Reference >

Use the Instance Selection (Upgrade) page to specify the instance of SQL Server to upgrade.

Options

All components of an instance must be upgraded at the same time. You cannot add or remove features during the upgrade.


Instance to Upgrade

Instance to Upgrade |
 | See Also
SQL Server Setup User Interface Reference >

Use the Instance to Upgrade page of the SQL Server Installation Wizard to specify the instance of SQL Server 2000 or SQL Server 2005 that you would like to upgrade to SQL Server 2008.

Options

Use the radio buttons to specify whether to upgrade the instance of SQL Server and its shared components, or to upgrade only the shared components. Shared components in this SQL Server release are the following:

  • Integration Services

  • SQL Server Browser

  • SQL Server Active Directory Helper

  • SQL Writer

For more information about supported upgrade scenarios and upgrade known issues, see Version and Edition Upgrades.

See Also

Other Resources

Using Upgrade Advisor to Prepare for Upgrades
Working with Multiple Versions of SQL Server


Minimize SQL Server 2008 Surface Area

Minimize SQL Server 2008 Surface Area |
 | See Also
SQL Server Setup User Interface Reference >

Surface area reduction is a security measure that involves stopping or disabling unused components. Surface area reduction helps to improve security by providing fewer avenues for potential attacks on a system.

For new installations of SQL Server 2008, some features, services, and connections are disabled or stopped to reduce the SQL Server surface area. For upgraded installations, all features, services, and connections remain in their pre-upgrade state.

  • Use SQL Server Configuration Manager to enable, disable, start, or stop services and configure the remote connectivity of your Database Engine.

  • Use Policy-Based Management to enable and disable optional features.

Using SQL Server Configuration Manager

The SQL Server Configuration Manager is installed with all editions of SQL Server.

To open the SQL Server Configuration Manager

  1. On the Start menu, point to All Programs, point to Microsoft SQL Server 2008 R2, point to Configuration Tools, and then click SQL Server Configuration Manager.
To configure a service to start automatically

  1. In SQL Server Configuration Manager, expand SQL Server Services.

  2. In the details pane, right-click one of the SQL Server services, and then click Properties.

  3. In the Properties dialog box, set Start Mode to Automatic.
To configure the Database Engine to accept remote connections

  1. In SQL Server Configuration Manager, expand SQL Server Network Configuration, and then click Protocols for <instancename>.

  2. In the details pane, right-click one of the available protocols, and then click Properties.

    Note:
    The shared memory protocol cannot be enabled for remote connections.

  3. To enable a protocol for remote connections, set the Enabled box to Yes.

For help with SQL Server Configuration Manager, view the SQL Server Configuration Manager help file, or see SQL Server Books Online. To configure SOAP and Service Broker endpoints, use CREATE ENDPOINT and ALTER ENDPOINT.

Using Policy-Based Management

Policy-Based Management is configured using SQL Server Management Studio. If Management Studio is not installed, run setup and install the client tools. Management Studio is not part of the installation of SQL Server Express. Download Management Studio Express from Microsoft.com. The features of Policy-Based Management are described in SQL Server Books Online.

To open the SQL Server Management Studio

  1. On the Start menu, point to All Programs, point to Microsoft SQL Server 2008 R2, and then click SQL Server Management Studio.
To configure Policy-Based Management

  1. In Management Studio, connect to an instance of Database Engine, expand Management, and then expand Policy Management.

  2. Configure Policy-Based Management by using the following three facets:

    • Surface Area Configuration

    • Surface Area Configuration for Analysis Services

    • Surface Area Configuration for Reporting Services

    The surface area configuration features that are turned off by default should not be turned on unless they are required for a specific business need.

Recommended Settings:

  • Recommended settings for the Database Engine

    Set all properties of the Surface Area Configuration facet to false.

  • Recommended settings for Analysis Services

    Set all properties of the Surface Area Configuration for Analysis Services facet to false.

  • Recommended settings for Reporting Services

    Use the Surface Area Configuration for Reporting Services to disable any Reporting Services features that you do not need.

See Also

Other Resources

How to: Enable or Disable a Server Network Protocol (SQL Server Configuration Manager)
How to: Enable or Disable a Server Network Protocol (SQL Server PowerShell)
Understanding Surface Area Configuration

© 2010 Microsoft Corporation. All rights reserved.


New SharePoint Farm Configuration

New SharePoint Farm Configuration |
 | See Also
SQL Server Setup User Interface Reference >

The New Farm Configuration page appears when you select the New Server option for the SQL Server PowerPivot for SharePoint setup role in SQL Server Setup.

To configure a new farm, you must have a previously installed, un-configured SharePoint server. The server must be Microsoft SharePoint 2010.

Use this page to provide the information that Setup uses to initialize the SharePoint Products and Technologies Configuration program (psconfig.exe). Setup will run the configuration program in the background as part of the installation process. The SharePoint server will be configured as follows:

  • A configuration database will be created using the instance of the Database Engine that is installed alongside Analysis Services when you select the SQL Server PowerPivot for SharePoint setup role. The Database Engine instance will be installed as a named PowerPivot instance.

  • A web application and root site collection will be created using default values.

  • An Analysis Services service will be installed and configured. A default PowerPivot service application and database will be created, configured, and associated with the default SharePoint web application.

  • PowerPivot solution packages will be deployed to the farm and to the default web application. Analysis Services feature integration will be activated for the site collection. A PowerPivot Gallery library will be created.

Options

Specify Credentials for the Server Farm Account.

Specify the domain user account and password that will be used to run the SharePoint Central Administration service and to access the configuration database. You must specify the account in this format: domain\username.

Specify Farm Security Settings.

Enter a passphrase that administrators must provide when adding new SharePoint application servers or Web front end servers to the farm.

Configure the SharePoint Central Administration Web Application

Central Administration is a Web application for managing the farm. Setup will create this application on the current computer. Access to Central Administration is through a port number that you specify.

See Also

Reference

Feature Selection
New SharePoint Farm Configuration
Setup Role

Other Resources

Installation (Analysis Services SharePoint integration)
Hardware and Software Requirements
How to: Install Analysis Services on a Standalone SharePoint Server


Post Uninstall

Post Uninstall
SQL Server Setup User Interface Reference >

Use the Post Uninstall page to verify that the operation completed successfully.

Options

© 2010 Microsoft Corporation. All rights reserved.


Prepare Image Progress

Prepare Image Progress |
 | See Also
SQL Server Setup User Interface Reference >

Use the Prepare Image Progress page of the SQL Server Installation Wizard to monitor the status of SQL Server image preparation setup. At the completion of this step, this page lists the status for each SQL Server feature prepared during this process.

See Also

Concepts

How to: View and Read SQL Server Setup Log Files


Prepare Image Rules

Prepare Image Rules
SQL Server Setup User Interface Reference >

SQL Server Setup validates your computer configuration before the Setup operation completes. The following table describes check parameters for the System Configuration Checker and resolution to blocking issues.

Check item | Description | User action
AclPermissionsFacet | Checks if the SQL Server registry keys are consistent | SQL Server registry keys must be consistent to support SQL Server installation or upgrade
MediaPathLength | Checks whether the SQL Server installation media is too long. | Ensure that the SQL Server installation media is not too long
OsVersionCheck | Checks whether the computer meets minimum operating system version requirements. | The operating system must meet the minimum requirements for this product. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
RebootRequiredCheck | Checks if a pending computer restart is required. A pending restart can cause Setup to fail. | A computer restart is required. You must restart this computer before installing SQL Server.
ThreadHasAdminPrivilegeCheck | Checks whether the account that is running SQL Server Setup has administrative privileges on the computer. | Ensure that the account running SQL Server Setup has administrative privileges on the computer.
WmiServiceStateCheck | Checks whether the WMI service is started and running on the computer. | The WMI service must be running.
Bids2005InstalledCheck | Checks for previous releases of BI Development Studio. | You must upgrade to Visual Studio 2008 SP1 before installing SQL Server 2008 R2.
ConfiguredDownlevelFeaturesCheck | Checks if any version of SQL Server is installed which does not support SysPrep. |
FacetDomainControllerCheck | Checks whether the computer is a domain controller. Installing SQL Server 2008 R2 on a domain controller is not recommended. | Ensure that this computer is not a domain controller.
FacetWOW64PlatformCheck | Determines whether SQL Server Setup is supported on this operating system platform. | This will block any unsupported installations on a 64-bit platform. WOW installations are not supported for SysPrep.
FusionRebootCheck | Checks if a computer restart is required because of broken fusion ATL. A pending restart can cause SQL Server Setup to fail. | A computer restart is required. You must restart the computer before installing SQL Server.
SqlUnsupportedProductBlocker | Checks whether SQL Server 7.0 or SQL Server 7.0 OLAP Services is installed. SQL Server 2008 R2 is not supported side-by-side with SQL Server 7.0. | Remove SQL Server 7.0 or install SQL Server 2008 R2 on a different computer.
SSMS_IsInternetConnected | Checks to see if the computer is connected to the Internet. SQL Server Management Tools based on .NET Framework technology must check the certificate revocation list on startup. | Ensure that the computer is connected to the Internet.
Sql2005SsmsExpressFacet | Checks whether SQL Server 2005 Express Edition Tools are installed. |
Unconfigured_AsFeatureStateCheck | Checks if the SQL Server SSAS feature is in an unconfigured state. |
VSShellInstalledRule | Checks for previous releases of Visual Studio 2008. | You must upgrade to Visual Studio 2008 SP1 before installing SQL Server 2008 R2.
BlockCrossLanguageInstall | Checks whether the Setup language is the same as the language of existing SQL Server features. | You must upgrade SQL Server by using the same language version as the existing instance of SQL Server.
BlockMixedArchitectureInstall | Checks whether the installing features are the same CPU architecture as the specified instance. | You must install or upgrade by using SQL Server installation media that matches the architecture of the instance of SQL Server that you are modifying.
FAT32FileSystemCheck | Checks whether the specified drive is FAT32 file system volume. Installing on a FAT32 file system is supported but not recommended as it is less secure than the NTFS file system. | Ensure that the drive you are specifying to install SQL Server is not a FAT32 file system.
Unconfigured_RsFeatureStateCheck | Checks if the Reporting Services feature is in an unconfigured state. |
Unconfigured_SqlFeatureStateCheck | Checks if the SQL Server Database Engine feature is in an unconfigured state. |


Prepare Image Type

Prepare Image Type
SQL Server Setup User Interface Reference >

Use the Prepare Image Type page of the SQL Server Installation Wizard to specify whether to install a new instance of SQL Server 2008 R2, or add features to an existing instance.

Options

Select the radio button that specifies your choice:

  • Prepare a new instance of SQL Server 2008 R2

  • Add features to an existing prepared instance of SQL Server 2008 R2

    If you select the option to add features to an existing instance, use the drop-down list to select the prepared instance of SQL Server to update.

    Note:
    You can add the SQL Server SysPrep supported features (Database Engine and Reporting Services) to a prepared image of SQL Server. Other features that are not supported by SQL Server SysPrep can only be added after the prepared instance is completed.


Product Key

Product Key
SQL Server Setup User Interface Reference >

Use the Product Key page to validate your instance of SQL Server, or to specify which free edition of SQL Server to install.

Options

To specify a free edition of SQL Server, select the radio button for free installations, and then use the drop-down box to identify which edition to install.

To validate a paid edition of SQL Server, select the radio button for the Product Key, and then provide your key in the space provided.

For failover cluster installations, use the same product key for each failover cluster node. If the product key is from a different SQL Server edition, an error will occur.


Progress (Uninstall)

Progress (Uninstall) |
 | See Also
SQL Server Setup User Interface Reference >

Use the Progress (Uninstall) page to monitor the Setup progess.

See Also

Concepts

How to: View and Read SQL Server Setup Log Files


Ready to Complete Image

Ready to Complete Image
SQL Server Setup User Interface Reference >

The Ready to Complete Image page provides a summary of configuration settings that are applied to the configuration of the prepared instance.

Options

You have the following options on this page:

  • To continue with Setup, click Install.

  • To change your installation settings, click Back.

  • To exit Setup, click Cancel.


Ready to Install

Ready to Install |
 | See Also
SQL Server Setup User Interface Reference >

The Ready to Install page provides a summary of features to be installed or changed by SQL Server Setup.

Options

You have the following options on this page:

  • To continue with Setup, click Install.

  • To change your installation settings, click Back.

  • To exit Setup, click Cancel.

See Also

Concepts

How to: View and Read SQL Server Setup Log Files


Ready to Prepare Image

Ready to Prepare Image
SQL Server Setup User Interface Reference >

The Ready to Prepare Image page provides a summary of the features to be prepared by SQL Server Setup.

Options

You have the following options on this page:

  • To continue with Setup, click Install.

  • To change your installation settings, click Back.

  • To exit Setup, click Cancel.


Ready to Repair

Ready to Repair |
 | See Also
SQL Server Setup User Interface Reference >

The Ready to Repair page provides a summary of the repair process by SQL Server Setup.

Options

You have the following options on this page:

  • To continue with Setup, click Install.

  • To change your installation settings, click Back.

  • To exit Setup, click Cancel

See Also

Concepts

How to: View and Read SQL Server Setup Log Files


Recovery Method

Recovery Method
SQL Server Setup User Interface Reference >

Make a selection, and then click Next to continue.


Remove SQL Server Failover Cluster Node

Remove SQL Server Failover Cluster Node
SQL Server Setup User Interface Reference >

Use the Remove Failover Cluster Node page to identify the computer to remove as a SQL Server 2008 failover cluster node.


Repair Progress

Repair Progress |
 | See Also
SQL Server Setup User Interface Reference >

Use the Repair Progress page of the SQL Server Installation Wizard to monitor the status of SQL Server repair.

See Also

Concepts

How to: View and Read SQL Server Setup Log Files


Report Server Installation Options

Report Server Installation Options |
 | See Also
SQL Server Setup User Interface Reference >

Use the Report Server Installation Options page of the Microsoft SQL Server Installation Wizard to specify options that determine how a report server instance is installed. The availability of an installation option depends on whether you are also installing a local instance of SQL Server Database Engine at the same time you are installing the report server, and whether other default values are available to use.

If Setup cannot perform a default report server configuration because one or more requirements are not met, the Installation Wizard allows only the minimal installation option; copying the files you need, but requiring you to use the Reporting Services Configuration tool to configure the report server after setup is finished.

In some cases, if a Secure Sockets Layer (SSL) certificate is installed on the computer and is bound to a strong wildcard, Setup will create the Reporting Services URLs using the HTTPS prefix. For more information about how certificates are mapped to Reporting Services URLs, see Configuring a Report Server for Secure Sockets Layer (SSL) Connections in SQL Server Books Online.

Note:
An existing report server database file can cause setup to fail if you choose one of the default installation options. When you choose a default installation option, setup attempts to create a report server database using the default name. If a database with that name already exists, setup will fail and you will have to rollback the installation. To avoid this problem, you can rename the existing database before you run setup or choose the Install but do not configure server option so that you can specify custom database settings after setup is finished.

Options

Install the native mode default configuration

Installs a report server instance using the default values for the report server databases, service account, and URL reservations. When you choose this option, the report server instance is ready to use when Setup is finished. Setup creates the report server database using a local Database Engine instance, and configures a report server to use default values.

This option is available only if the default values used in a report server installation are valid for your system. This option is recommended for developers who want to install all components locally, and for users who are evaluating the software.

To view information about the default Settings that Setup uses, or to find out why the default configuration cannot be installed, click Details. For more information about the default configuration for a native mode report server, see Default Configuration for a Native Mode Installation (Reporting Services).

Install the SharePoint integrated mode default configuration

Installs a report server instance using the default values for the report server databases, service account, and URL reservations. The report server database is created in a format that supports content storage and addressing from a SharePoint site. For more information about this installation option, see Default Configuration for SharePoint Integrated Mode (Reporting Services).

After you install a report server instance in SharePoint integrated mode, there are additional configuration steps to complete the integration with a SharePoint environment. For more information, see Configuring Reporting Services for SharePoint 2010 Integration.

Install but do not configure the server

Installs the report server program files, creates the Report Server service account, and registers the report server Windows Management Instrumentation (WMI) provider. This installation option is referred to as a "files-only" installation. Select this option if you do not want to use the default configuration. If the default configuration cannot be installed, or if you are installing a SQL Server failover cluster that includes Reporting Services, this is the only option available. For more information about a files-only installation, see Files-Only Installation (Reporting Services).

After Setup completes, you must create the report server database and configure the report server before it can be used. To configure a report server and create the database, use the Reporting Services Configuration tool. For more information, see Creating a Report Server Database and Configuring a Report Server Database Connection.

See Also

Other Resources

How to: Start Reporting Services Configuration
How to: Create a Report Server Database (Reporting Services Configuration)
Considerations for Installing Reporting Services
Default Configuration for a Native Mode Installation (Reporting Services)


Reporting Services Configuration and Installation Options

Reporting Services Configuration and Installation Options
SQL Server Setup User Interface Reference >

Use the Report Server Configuration page of the Microsoft SQL Server Installation Wizard to specify options that determine how a report server instance is installed. The availability of an installation option depends on whether you are also installing a local instance of SQL Server Database Engine at the same time you are installing the report server, and whether other default values are available to use.

If Setup cannot perform a default report server configuration because one or more requirements are not met, the Installation Wizard allows only the minimal installation option; copying the files you need, but requiring you to use the Reporting Services Configuration tool to configure the report server after setup is finished.

In some cases, if a Secure Sockets Layer (SSL) certificate is installed on the computer and is bound to a strong wildcard, Setup will create the Reporting Services URLs using the HTTPS prefix. For more information about how certificates are mapped to Reporting Services URLs, see Configuring a Report Server for Secure Sockets Layer (SSL) Connections in SQL Server Books Online.

Note:
An existing report server database file can cause setup to fail if you choose one of the default installation options. When you choose a default installation option, setup attempts to create a report server database using the default name. If a database with that name already exists, setup will fail and you will have to rollback the installation. To avoid this problem, you can rename the existing database before you run setup or choose the Install but do not configure server option so that you can specify custom database settings after setup is finished.

Options

Install the native mode default configuration

Installs a report server instance using the default values for the report server databases, service account, and URL reservations. When you choose this option, the report server instance is ready to use when Setup is finished. Setup creates the report server database using a local Database Engine instance, and configures a report server to use default values.

This option is available only if the default values used in a report server installation are valid for your system. This option is recommended for developers who want to install all components locally, and for users who are evaluating the software.

To view information about the default settings that Setup uses, or to find out why the default configuration cannot be installed, click Details. For more information about the default configuration for a native mode report server, see Default Configuration for a Native Mode Installation (Reporting Services).

Install the SharePoint integrated mode default configuration

Installs a report server instance using the default values for the report server databases, service account, and URL reservations. The report server database is created in a format that supports content storage and addressing from a SharePoint site.

For more information about this installation option, see Default Configuration for SharePoint Integrated Mode (Reporting Services).

Install but do not configure the server

Installs the report server program files, creates the Report Server service account, and registers the report server Windows Management Instrumentation (WMI) provider. This installation option is referred to as a "files-only" installation. Select this option if you do not want to use the default configuration. If the default configuration cannot be installed, or if you are installing a SQL Server failover cluster that includes Reporting Services, this is the only option available. For more information about a files-only installation, see Files-Only Installation (Reporting Services).

After Setup completes, you must create the report server database and configure the report server before it can be used. To configure a report server and create the database, use the Reporting Services Configuration tool. For more information, see Creating a Report Server Database and Configuring a Report Server Database Connection.

Installing the Reporting Services Add-in for SharePoint Technologies

To install the Reporting Services Add-in for SharePoint Technologies, click the rsSharePoint.msi file in the Setup folder on SQL Server installation media after SQL Server Setup is complete. You can also download the add-in. For more information, see S.


Reserved Keywords (Setup)

Reserved Keywords (Setup)
SQL Server Setup User Interface Reference >

SQL Server uses reserved keywords to define, manipulate, and add databases. Reserved keywords are part of the Transact-SQL grammar that is used by SQL Server to parse and understand Transact-SQL statements and batches.

SQL Server instance names cannot match a reserved keyword. Use the following table to ensure that reserved keywords are not used in SQL Server instance names.

ADD | EXCEPT | PERCENT
ALL | EXEC | PLAN
ALTER | EXECUTE | PRECISION
AND | EXISTS | PRIMARY
ANY | EXIT | PRINT
AS | FETCH | PROC
ASC | FILE | PROCEDURE
AUTHORIZATION | FILLFACTOR | PUBLIC
BACKUP | FOR | RAISERROR
BEGIN | FOREIGN | READ
BETWEEN | FREETEXT | READTEXT
BREAK | FREETEXTTABLE | RECONFIGURE
BROWSE | FROM | REFERENCES
BULK | FULL | REPLICATION
BY | FUNCTION | RESTORE
CASCADE | GOTO | RESTRICT
CASE | GRANT | RETURN
CHECK | GROUP | REVOKE
CHECKPOINT | HAVING | RIGHT
CLOSE | HOLDLOCK | ROLLBACK
CLUSTERED | IDENTITY | ROWCOUNT
COALESCE | IDENTITY_INSERT | ROWGUIDCOL
COLLATE | IDENTITYCOL | RULE
COLUMN | IF | SAVE
COMMIT | IN | SCHEMA
COMPUTE | INDEX | SELECT
CONSTRAINT | INNER | SESSION_USER
CONTAINS | INSERT | SET
CONTAINSTABLE | INTERSECT | SETUSER
CONTINUE | INTO | SHUTDOWN
CONVERT | IS | SOME
CREATE | JOIN | STATISTICS
CROSS | KEY | SYSTEM_USER
CURRENT | KILL | TABLE
CURRENT_DATE | LEFT | TEXTSIZE
CURRENT_TIME | LIKE | THEN
CURRENT_TIMESTAMP | LINENO | TO
CURRENT_USER | LOAD | TOP
CURSOR | NATIONAL | TRAN
DATABASE | NOCHECK | TRANSACTION
DBCC | NONCLUSTERED | TRIGGER
DEALLOCATE | NOT | TRUNCATE
DECLARE | NULL | TSEQUAL
DEFAULT | NULLIF | UNION
DELETE | OF | UNIQUE
DENY | OFF | UPDATE
DESC | OFFSETS | UPDATETEXT
DISK | ON | USE
DISTINCT | OPEN | USER
DISTRIBUTED | OPENDATASOURCE | VALUES
DOUBLE | OPENQUERY | VARYING
DROP | OPENROWSET | VIEW
DUMMY | OPENXML | WAITFOR
DUMP | OPTION | WHEN
ELSE | OR | WHERE
END | ORDER | WHILE
ERRLVL | OUTER | WITH
ESCAPE | OVER | WRITETEXT

Additionally, the ISO standard defines a list of reserved keywords. Avoid using ISO reserved keywords for object names and identifiers. The ODBC reserved keyword list, shown in the following table, is the same as the ISO reserved keyword list.

Note:
The ISO reserved keywords list sometimes can be more restrictive than SQL Server and at other times less restrictive. For example, the ISO reserved keywords list contains INT. SQL Server does not treat INT as a reserved keyword.

ODBC Reserved Keywords

The following words are reserved for use in ODBC function calls. These words do not constrain the minimum SQL grammar. However, to ensure compatibility with drivers that support the core SQL grammar, avoid using these keywords in SQL Server instance names.

ABSOLUTE | EXEC | OVERLAPS
ACTION | EXECUTE | PAD
ADA | EXISTS | PARTIAL
ADD | EXTERNAL | PASCAL
ALL | EXTRACT | POSITION
ALLOCATE | FALSE | PRECISION
ALTER | FETCH | PREPARE
AND | FIRST | PRESERVE
ANY | FLOAT | PRIMARY
ARE | FOR | PRIOR
AS | FOREIGN | PRIVILEGES
ASC | FORTRAN | PROCEDURE
ASSERTION | FOUND | PUBLIC
AT | FROM | READ
AUTHORIZATION | FULL | REAL
AVG | GET | REFERENCES
BEGIN | GLOBAL | RELATIVE
BETWEEN | GO | RESTRICT
BIT | GOTO | REVOKE
BIT_LENGTH | GRANT | RIGHT
BOTH | GROUP | ROLLBACK
BY | HAVING | ROWS
CASCADE | HOUR | SCHEMA
CASCADED | IDENTITY | SCROLL
CASE | IMMEDIATE | SECOND
CAST | IN | SECTION
CATALOG | INCLUDE | SELECT
CHAR | INDEX | SESSION
CHAR_LENGTH | INDICATOR | SESSION_USER
CHARACTER | INITIALLY | SET
CHARACTER_LENGTH | INNER | SIZE
CHECK | INPUT | SMALLINT
CLOSE | INSENSITIVE | SOME
COALESCE | INSERT | SPACE
COLLATE | INT | SQL
COLLATION | INTEGER | SQLCA
COLUMN | INTERSECT | SQLCODE
COMMIT | INTERVAL | SQLERROR
CONNECT | INTO | SQLSTATE
CONNECTION | IS | SQLWARNING
CONSTRAINT | ISOLATION | SUBSTRING
CONSTRAINTS | JOIN | SUM
CONTINUE | KEY | SYSTEM_USER
CONVERT | LANGUAGE | TABLE
CORRESPONDING | LAST | TEMPORARY
COUNT | LEADING | THEN
CREATE | LEFT | TIME
CROSS | LEVEL | TIMESTAMP
CURRENT | LIKE | TIMEZONE_HOUR
CURRENT_DATE | LOCAL | TIMEZONE_MINUTE
CURRENT_TIME | LOWER | TO
CURRENT_TIMESTAMP | MATCH | TRAILING
CURRENT_USER | MAX | TRANSACTION
CURSOR | MIN | TRANSLATE
DATE | MINUTE | TRANSLATION
DAY | MODULE | TRIM
DEALLOCATE | MONTH | TRUE
DEC | NAMES | UNION
DECIMAL | NATIONAL | UNIQUE
DECLARE | NATURAL | UNKNOWN
DEFAULT | NCHAR | UPDATE
DEFERRABLE | NEXT | UPPER
DEFERRED | NO | USAGE
DELETE | NONE | USER
DESC | NOT | USING
DESCRIBE | NULL | VALUE
DESCRIPTOR | NULLIF | VALUES
DIAGNOSTICS | NUMERIC | VARCHAR
DISCONNECT | OCTET_LENGTH | VARYING
DISTINCT | OF | VIEW
DOMAIN | ON | WHEN
DOUBLE | ONLY | WHENEVER
DROP | OPEN | WHERE
ELSE | OPTION | WITH
END | OR | WORK
END-EXEC | ORDER | WRITE
ESCAPE | OUTER | YEAR
EXCEPT | OUTPUT | ZONE
EXCEPTION |  |


Select a Prepared Instance

Select a Prepared Instance
SQL Server Setup User Interface Reference >

Use the Select Prepared Instance page to specify the prepared instance you want to complete.

Options

The Select an instance Id box lists the prepared instances that you can complete. Select a prepared instance you want to complete.

Select an instance Id

The list includes all the prepared instances that you can complete on the machine that SQL Server Setup is running. Select a prepared instance you want to complete.

Installed Instances

This includes the installed, prepared, and completed instances.


Server Configuration - Collation

Server Configuration - Collation |
 | See Also
SQL Server Setup User Interface Reference >

On the Server Configuration - Collation page of the SQL Server Installation Wizard, you can modify collation settings that the Database Engine and Analysis Services use for sorting purposes. Select the option to match collation settings of different installations of SQL Server, or of another computer.

Options

Customize for SQL Server and Analysis Services

SQL Server provides two groups of collations: Windows collations and SQL Server collations. You can specify separate collation settings for the Database Engine and Analysis Services, or you can specify the same collation for both.

By default, a SQL Server collation is selected for US-English system locales. The default collation for localized versions of SQL Server is determined by the Windows system locale setting for your computer. For more information, see Using SQL Server Collations.

The default settings should be changed only if the collation setting for this installation of SQL Server must match the collation settings used by another instance of SQL Server, or if it must match the Windows system locale of another computer.

Note Analysis Services uses Windows collations only. If you plan to install Analysis Services, select a Windows collation during SQL Server Setup to ensure consistent results between the SQL Server Database Engine and Analysis Services.

For more information, see Collation Settings in Setup.

Best Practices

For more information about a table of Windows System locales and the corresponding default collations used by SQL Server Setup, see Collation Settings in Setup.

If it is possible, use a single collation for your organization. This way, you do not have to explicitly specify the collation for every database, column, expression, or identifier. If you must work with multiple collations and code page settings, code your queries to consider the rules of collation precedence. For more information, see the Books Online topic for Collation Precedence (Transact-SQL).

When you select a collation for SQL Server, consider the following recommendations:

  • Select a BINARY2 collation if binary code point based ordering is acceptable.

  • Select a Windows collation for consistent comparison across data types.

  • Use a new 100-level collation for better linguistic sorting support. For more information, see Collation and Unicode Support.

  • If you plan to migrate a database to the upgraded instance of SQL Server, select the collation that matches your existing collation of the database.

See Also

Other Resources

Collation Options and Unicode Support
Collation Settings in Setup

© 2010 Microsoft Corporation. All rights reserved.


Server Configuration - Service Accounts

Server Configuration - Service Accounts |
 | See Also
SQL Server Setup User Interface Reference >

Use the Server Configuration page of the SQL Server Installation Wizard to assign login accounts to SQL Server services. The actual services configured on this page depend on the features you have selected to install.

Options

You can assign the same login account to all SQL Server services, or you can configure each service account individually. You can also specify whether services start automatically, are started manually, or are disabled. Microsoft recommends that you configure service accounts individually to provide least privileges for each service, where SQL Server services are granted the minimum permissions they need to complete their tasks. For more information, see Setting Up Windows Service Accounts.

Configure SQL Server service accounts individually (recommended)

Use the grid to provision each SQL Server service with a logon user name and password, and to set the startup type for the service. You can use built-in system accounts, a local account, local group, domain group, or domain user accounts for SQL Server services.

Select any of the following services to customize its settings.

Select this service To configure authentication settings for

SQL Server Agent

The service that executes jobs, monitors, SQL Server, and allows automation of administrative tasks.

There is no default logon account for this service.

The default startup type is Manual.

SQL Server

The SQL Server Database Engine.

There is no default logon account for this service.

The default startup type is Automatic.

SQL Server Browser

SQL Server Browser is the name resolution service that provides SQL Server connection information to client computers. This service is shared across multiple SQL Server and Integration Services instances.

The default logon account is NT Authority\Local service and cannot be changed during SQL Server setup. You can change the account after the setup has been completed.

If the startup type is not specified during setup, it is determined as follows:

  • SQL Server Browser is set to Automatic and running in the installation scenarios described below:

    • SQL Server failover cluster instance

    • Named instance of SQL Server where TCP or NP is enabled

    • Named instance of Analysis Server and is not clustered

    • This is a SQL Server 2000 upgrade or there is an existing instance of SQL Server 2000 on the machine

  • If none of the above scenarios apply, and SQL Server Browser is already installed, the current state of SQL Server Browser will be maintained.

  • The startup type is set to Disabled and stopped if there is not an existing SQL Server 2005 or a SQL Server 2008 instance prior to the installation.

Analysis Services

Analysis Services.

There is no default logon account for this service.

The default startup type is Automatic.

For SharePoint integrated mode, you must specify a Windows domain user account. The account you specify is used for the Analysis Services service. The account you specify for the current instance must also be used for any additional Analysis Services instances that you subsequently add to the same farm. For more information, see How to: Install PowerPivot for SharePoint on a New SharePoint Server.

Reporting Services

Reporting Services. Service accounts are used to configure a report server database connection. Choose the built-in network service if you want to use default authentication settings. If you specify a domain user account, be sure to register a service principal name (SPN) for it if you are using Windows Authentication on the report server. For more information, see How to: Configure Windows Authentication in Reporting Services.

Important:
Microsoft recommends that you do not use the Network Service account for the SQL Server or the SQL Server Agent services if an account with lesser privileges is available, because Network Service is a shareable account. Network Service is appropriate for use as a SQL Server service account only if you can ensure that no other services that use the account are installed on the computer. Local User or Domain User accounts that are not a Windows administrator are more appropriate for SQL Server services.

There is no default logon account for this service.

The default startup type is Automatic.

Integration Services

Integration Services is a set of graphical tools and programmable objects for moving, copying, and transforming data.

The default logon account for this service is NT Authority\Network Service.

The default startup type is Automatic.

SQL Server Full-text Filter Daemon Launcher

The service that creates the fdhost.exe processes. This is required to host the word breakers and filters that process textual data for full-text indexing.

Provide an account in which to run the FDHOST Launcher service. We highly recommend that you use a low privilege account. This account should be different from the account that you use for the SQL Server service. On Windows Vista and Windows Server 2008, the FDHOST Launcher service account defaults to LOCAL SERVICE.

For security reasons, on Windows versions earlier than Windows Vista and Windows Server 2008, we recommend using a specially-created LOCAL USER as the FDHOST Launcher service account. The use of the LOCAL SYSTEM, LOCAL SERVICE, or NETWORK SERVICE might inadvertently provide increased privileges for the service and can reduce the security of your SQL Server installation.

The FDHOST Launcher service is started automatically unless the service account is not valid or you do not specify a service account (on Windows Server 2003 or Windows XP).

See Also

Other Resources

Security Considerations for a SQL Server Installation


SQL Server Failover Cluster Wizard - Complete

SQL Server Failover Cluster Wizard - Complete |
 | See Also
SQL Server Setup User Interface Reference >

The following rules are used by SQL Server Setup to validate your computer configuration before the Setup operation finishes.

Check item | Description | User action
SSMS_IsInternetConnected | Verifies that the computer is connected to the Internet. When a .NET Framework application such as Microsoft Management Studio starts, there might be a slight delay while the .NET Framework security check validates a certificate. | Ensure that the computer is connected to the Internet.
AclPermissionsFacet | Checks if the SQL Server registry keys are consistent. | SQL Server registry keys must be consistent to support SQL Server installation or upgrade.
BlockMixedArchitectureUpgrade | Checks whether the CPU architecture of features you are trying to upgrade is different from the CPU architecture of this installation program. | You must install or upgrade by using SQL Server installation media that matches the architecture of the instance of SQL Server that you are modifying.
Cluster_IsOnlineIfClustered | Verifies that the computer is not clustered, or that the computer is clustered and the cluster service is online. | The computer must either not be clustered, or the cluster must be up and online.
FacetDomainControllerCheck | Checks whether the computer is a domain controller. Installing SQL Server 2008 R2 on a domain controller is not recommended. | Ensure that this computer is not a domain controller. For more information, see Security Considerations for a SQL Server Installation.
FacetPowerShellCheck | Checks whether Windows PowerShell is installed. Windows PowerShell is a pre-requisite for some SQL Server 2008 R2 editions. | For installations of SQL Server 2008 R2 Express with Advanced Services, ensure that Windows PowerShell is installed.
FacetWOW64PlatformCheck | Determines whether SQL Server Setup is supported on this operating system platform. | This rule will block unsupported installations on the 64-bit platform. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
FusionRebootCheck | Checks if a pending computer restart is required. A pending restart can cause Setup to fail. | A computer restart is required before installing SQL Server.
PerfMonCounterNotCorruptedCheck | Checks if the existing performance counter registry hive is consistent. | Ensure that the performance counter registry hive is consistent.
SqlUnsupportedProductBlocker | Checks whether SQL Server 7.0 or SQL Server 7.0 OLAP Services is installed. SQL Server 2008 R2 is not supported side-by-side with SQL Server 7.0. | Remove SQL Server 7.0, or install SQL Server 2008 R2 on a different computer.

See Also

Reference

Setup Support Rules

© 2010 Microsoft Corporation. All rights reserved.


SQL Server Failover Cluster Wizard - Install

SQL Server Failover Cluster Wizard - Install |
 | See Also
SQL Server Setup User Interface Reference >

The following rules are used by SQL Server Setup to validate your computer configuration before the Setup operation finishes.

Check item | Description | User action
SSMS_IsInternetConnected | Verifies that the computer is connected to the Internet. When a .NET Framework application such as Microsoft Management Studio starts, there might be a slight delay while the .NET Framework security check validates a certificate. | Ensure that the computer is connected to the Internet.
AclPermissionsFacet | Checks if the SQL Server registry keys are consistent. | SQL Server registry keys must be consistent to support SQL Server installation or upgrade.
BlockMixedArchitectureUpgrade | Checks whether the CPU architecture of features you are trying to upgrade is different from the CPU architecture of this installation program. | You must install or upgrade by using SQL Server installation media that matches the architecture of the instance of SQL Server that you are modifying.
Cluster_IsOnlineIfClustered | Verifies that the computer is not clustered, or that the computer is clustered and the cluster service is online. | The computer must either not be clustered, or the cluster must be up and online.
FacetDomainControllerCheck | Checks whether the computer is a domain controller. Installing SQL Server 2008 R2 on a domain controller is not recommended. | Ensure that this computer is not a domain controller. For more information, see Security Considerations for a SQL Server Installation.
FacetPowerShellCheck | Checks whether Windows PowerShell is installed. Windows PowerShell is a pre-requisite for some SQL Server 2008 R2 editions. | For installations of SQL Server 2008 R2 Express with Advanced Services, ensure that Windows PowerShell is installed.
FacetWOW64PlatformCheck | Determines whether SQL Server Setup is supported on this operating system platform. | This rule will block unsupported installations on the 64-bit platform. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
FusionRebootCheck | Checks if a pending computer restart is required. A pending restart can cause Setup to fail. | A computer restart is required before installing SQL Server.
PerfMonCounterNotCorruptedCheck | Checks if the existing performance counter registry hive is consistent. | Ensure that the performance counter registry hive is consistent.
SqlUnsupportedProductBlocker | Checks whether SQL Server 7.0 or SQL Server 7.0 OLAP Services is installed. SQL Server 2008 R2 is not supported side-by-side with SQL Server 7.0. | Remove SQL Server 7.0, or install SQL Server 2008 R2 on a different computer.

See Also

Reference

Setup Support Rules

© 2010 Microsoft Corporation. All rights reserved.


SQL Server Failover Cluster Wizard - Prepare

SQL Server Failover Cluster Wizard - Prepare |
 | See Also
SQL Server Setup User Interface Reference >

The following rules are used by SQL Server Setup to validate your computer configuration before the Setup operation finishes.

Check item | Description | User action
SSMS_IsInternetConnected | Verifies that the computer is connected to the Internet. When a .NET Framework application such as Microsoft Management Studio starts, there might be a slight delay while the .NET Framework security check validates a certificate. | Ensure that the computer is connected to the Internet.
AclPermissionsFacet | Checks if the SQL Server registry keys are consistent. | SQL Server registry keys must be consistent to support SQL Server installation or upgrade.
BlockMixedArchitectureUpgrade | Checks whether the CPU architecture of features you are trying to upgrade is different from the CPU architecture of this installation program. | You must install or upgrade by using SQL Server installation media that matches the architecture of the instance of SQL Server that you are modifying.
Cluster_IsOnlineIfClustered | Verifies that the computer is not clustered, or that the computer is clustered and the cluster service is online. | The computer must either not be clustered, or the cluster must be up and online.
FacetDomainControllerCheck | Checks whether the computer is a domain controller. Installing SQL Server 2008 R2 on a domain controller is not recommended. | Ensure that this computer is not a domain controller. For more information, see Security Considerations for a SQL Server Installation.
FacetPowerShellCheck | Checks whether Windows PowerShell is installed. Windows PowerShell is a pre-requisite for some SQL Server 2008 R2 editions. | For installations of SQL Server 2008 R2 Express with Advanced Services, ensure that Windows PowerShell is installed.
FacetWOW64PlatformCheck | Determines whether SQL Server Setup is supported on this operating system platform. | This rule will block unsupported installations on the 64-bit platform. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
FusionRebootCheck | Checks if a pending computer restart is required. A pending restart can cause Setup to fail. | A computer restart is required before installing SQL Server.
PerfMonCounterNotCorruptedCheck | Checks if the existing performance counter registry hive is consistent. | Ensure that the performance counter registry hive is consistent.
SqlUnsupportedProductBlocker | Checks whether SQL Server 7.0 or SQL Server 7.0 OLAP Services is installed. SQL Server 2008 R2 is not supported side-by-side with SQL Server 7.0. | Remove SQL Server 7.0, or install SQL Server 2008 on a different computer.

See Also

Reference

Setup Support Rules

© 2010 Microsoft Corporation. All rights reserved.


Summary (Upgrade)

Summary (Upgrade)
SQL Server Setup User Interface Reference >

Use the Summary page to view the specified options for this upgrade.


Setup Support Rules

Setup Support Rules
SQL Server Setup User Interface Reference >

The System Configuration Check page of the SQL Server Installation Wizard shows progress of the system validation tool. System Configuration Check routines scan the computer where SQL Server will be installed for conditions that might block Setup.

Options

The Next button is available only if all check results are successful, or if failed checks do not block installation.

Use the Show details button to display a summary of rules and scan results. The Status column at the right-hand side of the scan results shows the status of each item. Click the status for an item to view details.

The following table describes check parameters for the SCC, requirements, and resolution to blocking issues.

Check item | Description | User action
RebootRequiredCheck | Checks if a pending computer restart is required. A pending restart can cause Setup to fail. | A computer restart is required. You must restart this computer before installing SQL Server.
OsVersionCheck | Checks whether the computer meets minimum operating system version requirements. | Ensure that the operating system version meets the minimum requirements for this product. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
ThreadHasAdminPrivilegeCheck | Checks whether the account running SQL Server Setup has administrator rights on the computer. | Ensure that the account that is running SQL Server Setup has administrative rights on the computer.
WmiServiceStateCheck | Checks whether the WMI service is started and running on the computer. | Ensure that the Windows Management Instrumentation (WMI) service is running.
SSMS_IsInternetConnected | Checks to see if the computer is connected to the Internet. SQL Server Management Tools that are based on .NET Framework technology must check the certificate revocation list on startup. | Ensure that the computer is connected to the Internet.
FacetDomainControllerCheck | Checks whether the computer is a domain controller. Installing SQL Server 2008 R2 on a domain controller is not recommended. | Ensure that this computer is not a domain controller. For more information, see Security Considerations for a SQL Server Installation.
FacetPowerShellCheck | Checks whether Windows PowerShell is installed. Windows PowerShell is a pre-requisite of SQL Server 2008 R2 Express with Advanced Services. | For installations of Microsoft SQL Server 2008 Express with Advanced Services, ensure that Windows PowerShell is installed.
FacetWOW64PlatformCheck | Determine if the Setup program is supported on the operating system platform. | This rule will block unsupported installations on the 64-bit platform. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
PerfMonCounterNotCorruptedCheck | Checks if existing performance counter registry hive is consistent. | Ensure that the performance counter registry hive is consistent.
SqlUnsupportedProductBlocker | Checks whether SQL Server 7.0 or SQL Server 7.0 OLAP Services is installed. | Remove SQL Server 7.0 or install SQL Server 2008 R2 on a different computer.

Additional Rule topics

See the following topics for scenario-specific Setup rules:

  • Installation Rules

  • Upgrade Rules Check

  • Edition Upgrade Rules

  • Uninstallation Rules

  • Prepare Image Rules

  • Complete Image Rules


Uninstallation Rules

Uninstallation Rules
SQL Server Setup User Interface Reference >

The Uninstallation Rules page will run a set of rules to ensure that the Setup operation can complete successfully.

Options

The following table describes check parameters for the System Configuration Checker, requirements, and resolution to blocking issues:

Check item | Description | User action
AclPermissionsFacet | Checks if the SQL Server registry keys are consistent. | SQL Server registry keys must be consistent to support SQL Server installation or upgrade.
OsVersionCheck | Checks whether the computer meets minimum operating system version requirements. | Ensure that the operating system version meets the minimum requirements for this product.
RebootRequiredCheck | Checks if a pending computer restart is required. A pending restart can cause Setup to fail. | A computer restart is required. You must restart this computer before installing SQL Server.
ThreadHasAdminPrivilegeCheck | Checks whether the account that is running SQL Server Setup has administrative privileges on the computer. | Ensure that the account running SQL Server Setup has administrative privileges on the computer.
WmiServiceStateCheck | Checks whether the WMI service is started and running on the computer. | Ensure that the WMI service is running.
BlockMismatchedArchitectureUninstall | Checks whether the CPU architecture of the features you are trying to remove is different from the CPU architecture of this installation program. | Setup architecture must be the same as that of the instance of SQL Server that you are uninstalling.

Additional Rule topics

For more information, see the following topic:

  • Setup Support Rules.


Upgrade Progress

Upgrade Progress |
 | See Also
SQL Server Setup User Interface Reference >

Use the Upgrade Progress page of the SQL Server Installation Wizard to monitor the status of the SQL Server upgrade.

See Also

Concepts

How to: View and Read SQL Server Setup Log Files


Upgrade Rules Check

Upgrade Rules Check |
 | See Also
SQL Server Setup User Interface Reference >

The following rules are used by SQL Server Setup to validate your computer configuration before the Setup operation completes.

Check item | Description | User action
SSMS_IsInternetConnected | Verifies that the computer is connected to the Internet. When a .NET Framework application such as Microsoft Management Studio starts, there might be a slight delay while the .NET Framework security check validates a certificate. | Ensure that the computer is connected to the Internet.
AclPermissionsFacet | Checks if the SQL Server registry keys are consistent. | SQL Server registry keys must be consistent to support SQL Server installation or upgrade.
BlockMixedArchitectureUpgrade | Checks whether the CPU architecture of features you are trying to upgrade is different from the CPU architecture of this installation program. | You must install or upgrade by using SQL Server installation media that matches the architecture of the instance of SQL Server that you are modifying.
Cluster_IsOnlineIfClustered | Verifies that the computer is not clustered, or that the computer is clustered and the cluster service is online. | The computer must either not be clustered, or the cluster must be up and online.
FacetDomainControllerCheck | Checks whether the computer is a domain controller. Installing SQL Server 2008 R2 on a domain controller is not recommended. | Ensure that this computer is not a domain controller. For more information, see Security Considerations for a SQL Server Installation.
FacetPowerShellCheck | Checks whether Windows PowerShell is installed. Windows PowerShell is a pre-requisite for some SQL Server 2008 R2 editions. | For installations of SQL Server 2008 R2 Express with Advanced Services, ensure that Windows PowerShell is installed.
FacetWOW64PlatformCheck | Determines whether SQL Server Setup is supported on this operating system platform. | This rule will block unsupported installations on the 64-bit platform. For more information, see Hardware and Software Requirements for Installing SQL Server 2008 R2.
FusionRebootCheck | Checks if a pending computer restart is required. A pending restart can cause Setup to fail. | A computer restart is required. You must restart this computer before installing SQL Server.
PerfMonCounterNotCorruptedCheck | Checks if the existing performance counter registry hive is consistent. | Ensure that the performance counter registry hive is consistent.
SqlUnsupportedProductBlocker | Checks whether SQL Server 7.0 or SQL Server 7.0 OLAP Services is installed. SQL Server 2008 R2 is not supported side-by-side with SQL Server 7.0. | Remove SQL Server 7.0 or install SQL Server 2008 R2 on a different computer.
UCPEditionDowngradeCheck | Determines whether a SQL Server UCP is supported on this edition of SQL Server. | A SQL Server UCP is supported on SQL Server 2008 R2 Datacenter, Enterprise, Developer, or Enterprise Evaluation.

See Also

Reference

Setup Support Rules

© 2010 Microsoft Corporation. All rights reserved.


Verify Uninstall Options

Verify Uninstall Options
SQL Server Setup User Interface Reference >

Verify your selection, and then click Next to continue.


The topic you are seeking is unavailable until Setup completes installation of Books Online

The topic you are seeking is unavailable until Setup completes installation of Books Online

After Setup completes, you can view the documentation for SQL Server by clicking Help, pressing the F1 key in dialog boxes or interface elements, or (from the Start menu) by pointing to All Programs, pointing to Microsoft SQL Server, pointing to Documentation and Tutorials, and then clicking SQL Server Books Online.